Contents

Just Manager Icon

Just Manager
By Nikita Leontiev
http://justmanager.ru

Help File by
Michael W. Bayley
http://mikeb.x10host.com

Note: Please read the section Using This Help File for terminology and
conventions used in this help file and other important information.

Contents

Using This Help File
Introduction
Installation and Upgrading
Using Just Manager
Configuration
Common Windows Tools Command Lines
Command Line Parameters
Uninstalling Just Manager
Portability Issues
Known Problems & Planned Enhancements
Logging and Debugging
Translating Just Manager
Contact Information
License
Version History

Next Button


Using This Help File

Note that all screen captures used in this document were performed on a Windows 7 platform with the AERO desktop enabled.. Since the onitial writing of this help file I have upgraded to Windows 8 and most updates to captured images were done under that environment. Screens may appear slightly differently on other Windows platforms.

Folders referred to in this document (ie. C:\Users) will be slightly different on other Windows platforms.

Notations

Keyboard keys and dialog buttons are denoted by enclosing them in "[ ]" characters. Keyboard combinations are displayed as adjacent keys (ie. [Ctrl][Alt][Del]).

Characters are denoted by enclosing them in double quote (") characters or in parentheses "()".

Commands and Window's controls directly pertinent to the topic being discussed are listed using capitals.

Information displayed in all capital letters is important and designed to draw your attention to the details.

Terminology

Please read the section Terminology to familiarize yoursewlf with terms used throughought this help file.

Main Window Controls

Please read the section Main Window Elenments to familiarize yourslef with the various controls that make up the main part of the program UI as they are referrend to throughout this help file.

Notes

If you would like to read this help file as a single document (as it was originally written) simply use the [Previous] and [Next] buttons and the bottom of each help page.

In order to preserve space (a lot of text and graphics) some sections of this help file may simply refer you to another topic. Just click on the links provided to access the information.

Previous Button Next Button


Introduction to Just Manager

Introduction

What Just Manager Does

Just Manager is a feature packed, versatile, multi-tabbed, multi-pane file manager for the Windows operating system. It is available in both x86 and x64 versions. Despite its many features it is relatively small and efficient.

Features
  • Multi-pane interface (1 to 16 panes)
  • Multi-tabbed (1 to n tabs)
  • Supports all modern versions of Windows with both x86 and x64 versions
  • Drag & Drop operations
  • Color and font highlighting for file/folder extension and attributes
  • Standard file operations (move, copy, shortcut)
  • Map and disconnect network drives
  • Favorite and system folders support
  • Built in FTP client
  • Fully customizable interface
  • Automatically adjusts to display DPI setting
  • Full UNICODE support
  • Multi-lingual support
  • 100% free


Upgrading Just Manager

This section describes how to upgrade Just Manager on your system. The 32 and 64 bit versions are distributed as separate installation programs. Make sure you have the appropriate version for your system. See the Contact Information section for the web page address where you can download the latest version of each of the installers.

To upgrade Just Manager to a newer version, simply install the program using the installer as described above and install the program over the previous version. If you installed a standard version (ie. not a portable version), the installer will remember the installation folder and the start menu group. All of your settings, in both the normal and portable versions, will be preserved unless specified in the installation program itself.


 Using Just Manager

This section will describe Just Manager's components and how to use Just Manager. It will cover most of the features that are available for you to use and introduce you to all the concepts that you need to be familiar with.

The following topics are discussed:

Main Window Elements
The Basics
Drag and Drop Operations
Changing Drives and Folders
Using Tabs
Using Network Connections
Using FTP
Just Manager Commands
Using the Quick Viewer
Using Quick Search
Using the Search Tool
Using the Multi Rename Tool
Using the Attributes and Timestamps Tool
Using the Command Line
Using the Tray Context Menu


Main Window Elements

The following graphic shows Just Manager's main window with all of the optional components displayed.

Just Manager Main Window

Main Window Elements

The following components are displayed:

Main menu

The Main Menu is the standard Windows main menu. The Main Menu contains commands that provide the user the ability to control the program interface and to execute some of the program functions. The Main Menu cannot be moved.

The Main Menu is only accessible using the mouse.

The Main Menu can be hidden (see the section Configuration/View for details).

The Main Menu can be customized. See the section Configuration/Main Menu for details.

Main menu toolbar

The Main Menu Toolbar is the same as the Main Menu (above) with the exception that it can be moved and customized.

In order to customized the menu, right click on the toolbar and select "Customize". In order to move the menu you need to unlock the toolbars by first right clicking on the toolbars and selecting "Unlock toolbars" and then you can drag and drop the toolbars around the toolbar area. You can relock the toolbars by once again right clicking in the toolbar area and selecting "Lock toolbars".

The Main menu can be accessed using the mouse or can be activated using the keyboard by pressing and releasing the [Alt] key. You can then use the cursor keys to navigate through the menu.

The Main Menu Toolbar can be hidden (see the section Configuration/View for details).

The Main Menu Toolbar can be customized. See the section Configuration/Main Menu for details.

Main toolbar

The Main Toolbar is a button/toolbar interface for Just Manager. It contains commands that provide the user the ability to control the program interface and to execute some of the program functions.

In order to customized the toolbar, right click on the toolbar and select "Customize". In order to move the menu you need to unlock the toolbars by first right clicking on the toolbars and selecting "Unlock toolbars" and then you can drag and drop the toolbars around the toolbar area. You can relock the toolbars by once again right clicking in the toolbar area and selecting "Lock toolbars".

The Main Toolbar is only accessible using the mouse.

In order to customize the toolbar please see the section Customizing the Toolbar.

The Main Toolbar can be hidden (see the section Configuration/View for details).

Drive access buttons

The Drive Access Buttons panel provides a quick and easy way to change drives. There is one panel for each file panel. The buttons consist of one button for each drive, one buttons for accessing your local network, and buttons (as needed) for FTP connections as they are opened.

The Drive Access Buttons are only accessible using the mouse. The Windows context menu is also available for each drive by right clicking on it. A context menu for FTP sessions is available to disconnect the session by right clicking on them.

The Drive Access Button panels can be hidden (see the section Configuration/View for details).

Drive access lists

The Drive Access List panels provide an alternative way to change drives. If you do not like using the Drive Access Buttons panels then you can use these controls instead. The access lists consist of one dropdown lists for each file panel. The Drive Access Lists offer the same options as the Drive Access Buttons.

The Drive Access Lists are only accessible using the mouse.

The Drive Access List panels can be hidden (see the section Configuration/View for details).

Disk size text

The Disk Size Text panels are used to display information about the disk that is being displayed in the active tab in the file panel below the size panel. The panels will display the total size of the drive in question as well as the amount of free space remaining on the drive.

The Disk Size Text panels are intended for information purposes only and cannot be accessed with either the mouse or the keyboard.

The Disk Size Text panels can be hidden (see the section Configuration/View for details).

Disk size graphic

The Disk Size Graphic panels display a graphical representation of the amount of used and free space on the drive associated with the active tab for the file panel displayed below it. The graphic uses a progress bar type display that show the relative amount of space used on the drive compared to the entire drive size. If drive space becomes too low then the graphic is displayed in an alternative color.

The Disk Size Graphic panels are intended for information purposes only and cannot be accessed with either the mouse or the keyboard. Hovering the mouse cursor over the graphic will display a hint window showing the drive size and the amount of free space remaining.

The Disk Size Graphic panels can be hidden (see the section Configuration/View for details)

File panel tabs

The File Panel Tabs are used to control the tab interface of Just Manager. The tabs allow you to have multiple folders open for each file panel.

The File Panel Tabs are only accessible using the mouse.

For more information on using the tabbed interface see the section Using Tabs. For information on customizing how tabs are displayed see the section Configuration/Tabs.

Path panels

The Path panels are used for several purposes. First off they display the current path for the active tab of the file panel displayed below the panel.

Secondly, the Path panels can be used to navigate through folders for the active tab in the file panel displayed below it. Please see the section Changing Drives and Folders/Using Path Panels below.

The Path panels can be hidden (see the section Configuration/View for details).

File Panels

The File panels are the heart of Just Manager. These panels display the contents of the folders associated with the active tab for that file panel. The content and format of the information in the File Panel can be completely customized. Several other sections of this document are dedicated to the various subjects relating to this.

The File Panels are also the hub of most of the functions provided by Just Manager. You will be able to use and manipulate the folders andf files listed in these panels through a variety of methods.

Information bars

The Information Bars panels display information about the file panel above them. There is an Information Bar for each file panel.

The bars display the total number of folders, the number of selected folders, the total number of files, the number of selected files, and the total space consumed by the selected files (does not include the amount of space consumed by the contents of the selected folders).

The Information Bars are for information purposes only. They cannot be accessed by either the mouse or the keyboard.

The Information Bar panels can be hidden (see the section Configuration/View for details).

Navigation panel

The Navigation Panel provides a quick and easy way to access drives a special folders. It provides shortcuts for system resources (drives, network, and FTP connections), your favorite folders, and a list of system folders. See the section Changing Drives and Folders/Using Navigation Panel for more information.

The Navigation Panel can only be accessed by the mouse.

The Navigation Panel can be hidden (see the section Configuration/View for details).

Command line

The Command Line panel provides a simple interface to execute commands by typing them in without the need to open a Windows console.

The Command Line panel can be activated by either clicking on it with the mouse or by typing in any of the file panels.

The Command Line panel can be accessed with either the mouse or the keyboard.

The Command Line panel can be hidden (see the section Configuration/View for details). Typing in a file panel when the Command Line panel is hidden will temporarily open the panel.

Function toolbar

The Function Toolbar panel displays the assigned shortcuts for key functions. These functions include: View, Edit, Copy, Move, Create Folder, Delete, and Exit Program. The panel shows the current keyboard shortcut assigned to each function.

The Function Toolbar panel can only be accessed by mouse. Each entry doubles as a toolbar button and can be clicked on to execute the function.

The Function Toolbar panel can be hidden (see the section Configuration/View for details).

Status bar

The Status Bar panel is displayed at the bottom of the Just Manager window. This panel will display various status information during certain program operations.

The Status Bar panel is for information purposes only and cannot be accessed with either the mouse or the keyboard.

The Status Bar panel can be hidden (see the section Configuration/View for details).


The Basics

This section and several of the sections following it describe the basics of using the file panels and the various functions that you can initiate from it.

Terminology

In order to be clear about operations in the file panels, the following terms are used:

Active/Inactive

The terms active and inactive are used to refer to file panels. The active file panel is the file panel that has Windows focus and is currently being used (or acted upon). All other file panels are inactive.

Focused

Generally in Windows the control that is active is considered to have focus. For use in this document focus will only refer to the item in the active file panel that is currently being pointed to by the cursor/selection bar. It is the item (a file or folder) in the active file panel that has the Windows focus. Please note that some configuration items in the program refer to focused and selected items and are referring to selected items in the active file panel.

Selected

Selected items are items in a file panel that have been marked for action. This can be from zero to all items in the file panel. Selected items are used by drag and drop, program commands, or the shell context menu.

Selected items will normally be displayed differently (see the section Configuration/Fonts and Colors for settings information). Most of the time the item with focus will also be considered selected (and will be displayed appropriately).

Using the Mouse

The following mouse actions are supported inside the file panels:

Mouse Wheel

The mouse wheel can be used to scroll the list of items in the file panel. Using the mouse wheel does not effect item selection.

Right Click

Right clicking on an item (or multiple if more than one item is selected) will display the Windows Shell context menu which will be specific to the file or folder type that is currently selected.

Right clicking on a scroll bar in the file panel will display a context menu with scroll options.

Left Click

Left clicking on an item in the file panel will set that item as focused and selected. Left clicking on an item will also clear the selected status of all other items in the file panel.

Left clicking on an empty area in the file panel (either below all of the folders and files, or to the right of all items) will clear the the selected state of all items in the file panel. The focus will remain on the last focused item.

[Ctrl] Left Click

Left clicking on an item in the file panel while holding down the [Ctrl] key will toggle the selected state of that item (ie. selected items will become unselected and unselected items will become selected).

[Shift] Left Click

Left Clicking while holding the [Shift] key down will select all file panel items (both folders and files inclusive) between the focused item and the item being clicked.

Double Left Click

Double clicking on a folder or reparse point (symbolic link) will change the folder displayed in the file panel to the item that is double clicked.. If the tab is locked (not allowing navigation) then the folder will be openined in a new tab. This works for the ".." folder as well, switching to the parent directory.

Double clicking on a file will open that file using the Windows Shell (opens the file with the default associated program or will execute the program if it is an executable file).

Middle Click

Clicking the middle mouse button on a folder in a File Panel will open that folder in a new tab in the active file panel. This operation also works when middle clicking on a drive button in the drive button bars.

Using the Keyboard

The following keyboard actions are supported inside the file panels:

[Alt] Key

Tapping the [Alt] key, if the Main Menu Toolbar is visible, will activate it. Selected items are not affected by this action. Pressing the [Esc] key from the Main Menu Toolbar or executing a toolbar command will return focus to the active file panel.

[Esc] Key

Pressing the [Esc] key in a file panel will terminate the effects of any filter that is currently in use in the current tab of the active file panel. The panel will once again display the complete folder and file listing. This keyboard action will also clear all selections.

[Tab] and [Shift][Tab] Keys

The [Tab] key will switch the active file panel to the next file panel. This action does not effect selections in any of the file panels.

[Up] and [Down] Keys

The [Up] and [Down] arrow keys will change the focus to the next item in the file panel. All selections will be cleared prior to this action unless the key results in no action (ie. pressing [Up] when on the first item on the list or pressing [Down] when on the last item in the list).

Using the [Up] and [Down] keys does not wrap (ie. if at the bottom of the first column of a multi-column list the [Down] key will not move to the top of the next column).

The newly focused item is also selected.

[Left] and [Right] Keys

The [Left] and [Right] arrow keys will change the focus to the item to the left or right of the current item in the file panel. All selections will be cleared prior to the action.

Using the [Left] and [Right] keys does not wrap (ie. if at the right most column in the list the focus will not be changed to the first item on the next line of the list).

The newly focused item is selected.

[Alt][Left] and [Alt][Right] Keys

The [Alt][Left] and [Alt][Right] arrow keys will cycle though the history for the current tab of the active file [panel. This is the same as the toolbar commands Backward and Forward.

[Pg Up] and [Pg Dn] Keys

The [Pg Up] and [Pg Dn] keys will change the focus to either the top or bottom of the current "page" or if at the top or bottom of the "page" will display the previous or next "page". All selections will be cleared at the beginning of the operation.

The newly focused item is selected.

[Home] and [End] Keys

The [Home] and [End] keys will change the focus to either the first or last item in the folder being displayed in the surrent tab of the active file panel. All selections will be cleared at the beginning of the operation.

The newly focused item is selected.

[Ctrl] with Cursor Keys

Holding the [Ctrl] key down while using the cursor keys will allow you to move the focus through the list of folders and files without affecting the selections.

The newly focused item does not become selected.

[Shift] with Cursor Keys

Holding the [Shift] down while using the cursor keys will select all items between the last selected item and the newly focused item inclusively. All previous selections are cleared prior to the operation.

[Enter] Key

Pressing the [Enter] key while the focus is on a folder or reparse point (symbolic link) will change the folder displayed in the file panel to the item that is focused.

Pressing the [Enter] key while the focus is on a file will open that file using the Windows Shell (opens the file with the default associated program or will execute the program if it is an executable file).

Printable Characters

Pressing any printable character key will activate the Command Line (see Using the Command Line for details).

[Alt] + Printable Characters

Pressing any printable character keys while holding down the [Alt] key (or [Shift] and [Alt] keys depending on the settings in the Configuration/Quick search (filter) section) will activate the Quick Search feature (see the Using Quick Search section for details).


Drag and Drop Operations

Just Manager supports standard Window's Drag and Drop operations. Only the file panels will function with Drag and Drop (ie. you cannot drop files on the Drive Buttons or Drive Lists). This section describes how to use the Drag and Drop features.

Sources

Any file or folder (or groups of files and folders if more than one item is selected) can be used in drag and drop operations. Simply left click on the item(s) and hold down the left mouse button and then drag it and drop it (release the left mouse button) on the desired target.

Sources can also be files or folders outside of Just Navigator (other applications that support drag and drop).

Targets

Files cannot be the target of drag and drop operations. The current folder in the file panel can be used as the target of a drag and drop operation by dropping the objects in either an empty portion of the panel or on the scroll bars.

Any single folder (including the ".." entry can be used by dropping the objects directly on that folder.

Tabs in any file panel can also be used as targets. They can accept folders, files, and shortcuts.

Targets can also be outside of Just Manager (other applications such as the Windows desktop).

Functions

Just Manager supports three drag and drop functions: copy, move, and shortcut. By default Just Manager will copy items dropped in a file panel and will move items to targets outside of Just Manager (ie. the Windows Desktop).

Copy

The copy function is shown by displaying a [+] icon during the drag and drop function. The copy function can be forced by pressing and holding the [Ctrl] key. The copy function will make a new copy of the items in the target while leaving the source items untouched.

If the target already exists then an overwrite dialog is displayed (see below).

Move

The move function is shown by displaying a [ ] icon (rectangle) during the drag and drop function. The move function can be forced by pressing and holding the [Shift] key. The move function will make a new copy of the items in the target and when the copy has completed successfully the original source items will be deleted.

If the target already exists then an overwrite dialog is displayed (see below).

Shortcut

The shortcut function is shown by displaying a [curved arrow] icon during the drag and drop function. The shortcut function can be forced by pressing and holding the [Alt] key. The shortcut function will create a shortcut to the items in the target while leaving the source items untouched.

If the target already exists then another shortcut will be created with a numbered name (ie. "Item - Shortcut" exists then "Item - Shortcut (2)" will be created).

Overwriting Targets

If the source and target folders are the same folder then an error dialog is displayed.

If the target item(s) exist during a copy or move operation then a dialog will be displayed offering the following options:

Shell Interface

Copy and Replace

This option will overwrite the target file with the contents of the source file.

Don't Copy

This option will skip the copy/move operation. The original file will remain intact and in the event of a move operation the source file will not be deleted.

Copy, but keep both files

This option will copy/move the file but it will not overwrite the target file. The new target file will be renamed with a numeric index appended to the filename (ie. filename.ext will become filename (2).ext). The first unused number (starting with 2) will be used.

Do this for the next n conflicts

If more than one file being copied/moved will result in an overwrite then this option will be presented as a checkbox (where n represents the number of overwrites to be performed). Checking this control will result in all overwrites using the option selected. If the checkbox is not checked then the dialog will be repeated for each operation.

Just Manager Internal Interface

Yes

This option will overwrite the target file with the contents of the source file.

Yes to All

This option will overwrite the target file with the contents of the source file. Furthermore, any other items that conflict will also be overwritten.

No

This option will skip the copy/move operation. The original file will remain intact and in the event of a move operation the source file will not be deleted.

No to All

This option will skip the copy/move operation. The original file will remain intact and in the event of a move operation the source file will not be deleted. Furthermore, any other items that conflict will also be skipped.

Rename

This option will copy/move the file but it will not overwrite the target file. The new target file will be renamed manually. A dialog is displayed where you can enter the new filename.

Auto-rename

This option will copy/move the file but it will not overwrite the target file. The new target file will be renamed with a numeric index appended to the filename (ie. filename.ext will become filename (2).ext). The first unused number (starting with 2) will be used.

Autoscroll

When using Darg and Drop and the Target is a file panel an autoscroll feature is supported. If the mouse cursor is held orver the top or bottom entry in the file panel then the panel will automatically scroll up or down as appropriate. This feature allows for dragging and dropping files and folders to subfolders that are not being displayed in the current file panel.

FTP Panels

Drag and Drop operations are not currently supported in FTP file panels.


Changing Drives and Folders

Just Manager offers several ways to change the current drive or folder for file panels. This section will describe these methods:

Within the File Panels

From within the file panels you can double click on folders and reparse points (symbolic links) to change the current folder.

Double clicking on a folder will switch to that folder. Double clicking on a reparse point will either produce an "access denied" error or will follow the link and switch to the appropriate folder depending on the configuration setting (see the Configuration/Navigation section for details).

Double clicking on the ".." folder will switch the current folder to the parent folder.

This function can also be accomplished by pressing the [Enter] key when the desired folder is focused.

Note that if you attempt to switch folders using this method and the active tab of the current panel is locked then a new tab will be opened instead.

Using the Backward and Forward Toolbar Buttons

You can use the Backward and Forward toolbar buttons to change folders to any of the previous or next folder in the folder history list for that file panel.

The Backwards button will go to previously accessed folders. The Forward button will go to following folders (after the Backward button has been used). These buttons navigate through a history of folders that you have accessed.

Each of these two toolbar buttons have down arrows associated with them Accessing these down arrows will provide direct access to the folder history and provide direct access to anywhere within the history.

The size of the history list is user defined and can be controlled through a configuration item (see the section Configuration/Navigation/History list length for details).

Using System and Favorite Folders Buttons

The System folders button contains a list of system folders (the actual folders will change depending on which user is logged into the system and which version of Windows you are running). The list can be customized (see the section Customizing Favorites and System Folders for details).

The Favorites folder button contains a list of user defined folders. The list can be customized (see the section Customizing Favorites and System Folders for details).

Using the Drive Button Panels

You can change the current folder to another drive by using the Drive Buttons for the associated file panel. The panel provides access to all system drives, the local network, and any FTP connections that are active.

When changing folders to another drive you will change to either the root folder or the last accessed folder depending on the setting of the Configuration/Navigation/Open root folder on drive selection setting.

If the Open Root Folder option is not selected the pressing the drive letter button a second time will swith to the root folder.

Using the Drive List Panels

You can change the current folder to another drive by using the Drive Lists for the associated file panel. The panel provides access to all system drives, the local network, and any FTP connections that are active.

When changing folders to another drive you will change to either the root folder or the last accessed folder depending on the setting of the Configuration/Navigation/Open root folder on drive selection setting.

Using the Path Panels

The Path Panels provide three ways of changing drive or folders for the associated file panel.

In the first method, you can left click on any portion of the displayed path in order to change to that folder.

In the second method, you can double left click on the path panel and then use it to manually type in a new path. If an invalid path is entered (or the drive does not contain any media) then you will be returned to the previous folder after an error dialog is displayed.

If you specify a drive, you must include the "\" character if you wish to change to the root folder.

When manually entering paths you can also use environment variables. The environment variables must be enclosed in '%' characters. As an examp[le, to enter the path of the "TEMP" variable you would enter "%TEMP%".

The third method allows you to use the Root Button Root, Go Up Button Go Up, and Folder Favorites Button Folder Favorites buttons at the right side of the panels. These buttons will switch to the root folder, the parent folder of the currently displayed folder, or a user selected folder from the user defined favorite folders.

Using the Navigation Panel

You can change drives and/or folders from the Navigation Panel by clicking on any of the links contained within the panel. The panel contains three groups of links:

Resources

The Resources group of links contains links to all of the same items displayed in either the Drive Buttons Panels, or the Drive List Panels. These include all system drives, the local network, and any currently connected FTP sessions (see the section Using FTP for details on establishing FTP sessions).

Favorites

The Favorites group contains links to all of the user defined folders that appear in the Favorites menu. See the section Customizing Favorites and System Folders to see how to define these folders.

System folders

The System folders group contains links to the same system folders that appear in the System Folders toolbar button. See the section Customizing Favorites and System Folders to see how to define these folders.

Navigation Progress Indicator

Whenever the folder or drive is changed, if the Show Navigation Progress setting is set, then a progress bar will be displayed at the top of the File Panel. This feature is primarily intended for when a folder change occurs on a network or FTP file panel where the change may take some time.


Using Tabs

Just Manager's Tabs feature provides you with a quick and easy way to switch folders and to have the equivalent of more file panels open without paying for it in desktop real estate. The Tab functions are accessed using the Tab Commands or from the Tabs context menu which is accessed by right clicking on any of the tabs.

To switch to a tab you need merely left click on it. You will instantly switch to that folder without disturbing your current folder. Folder and file welections are not affected by switching tabs.

Tabs can be the targets of drag and drop operations. The current folder for that tab is used as the target. Tabs accept folders, files, and shortcuts.

You can close a tab by double left clicking on the tab provided the option is enabled in the configuration. See Configuration/Tabs/Double-click closes the tab for more information.


Using Network Connections

Just Manager allows you to access your local area network directly. You can select your network by pressing the [Net] button in the Drives Access Buttons panel, or in the Drive Access Lists, or in the Navigation Panel. You can then connect to any shared drives and folders in your local area network without having to map a network folder to a drive.

Once a network folder has been mounted then you can treat it just like any other folder on your computer. Just Manager will maintain the network connection as log as the tab is open and you don't change to a local folder or an FTP session.

You can open as many network connections as desired.

Two tool commands are also supported for network access. These are the Map Network Drive and Disconnect Network Drives commands. These commands are available in the Main Menu, the Main Menu Toolbar, and the Main Toolbar.


Using FTP

Just Manager includes a full FTP client. The FTP client is integrated into the interface to allow FTP sessions to be treated in the same manner as local network connections and folders.

In order to use the FTP client, FTP host must be configured. This is accomplished by activating the FTP Connection Manager through the Main Menu.

The FTP Connection Manager main dialog will be displayed. The main dialog displays a list of defined FTP hosts and provides an interface to maintain the list as well as to connect to an FTP host. FTP hosts can be selected by left clicking on them in the FTP hosts list. The following commands are available:

Connect

The Connect command is used to open a connection to an FTP host. You must select a host from the list a before you can connect.

A connection dialog will be opened and the connection will be established. Should an error occur an error message will be displayed. If the connection is successful then the dialog will be closed.

Add

The Add command is used to add new hosts to the list. The ConnectionSettings will be displayed. The following fields must be supplied for each FTP host:

Name

The Name setting is strictly used for the human interface. It identifies the FTP connection and is used in the Drive Buttons Bars, the Drive Lists, and the Navigation Panel.

Host

The Host setting is where you enter the host URL for the connection. This is usually something like ftp.name.com.

Port

The Port number specifies the TCP/IP port number to use for the connection. The industry standard is port 21.

Username

In order to connect to an FTP host you must login to an account. This requires a user name and a password. The Username setting sets the user name that will be used to login to the FTP host.

Password

The Password setting is used to specify the password that will be used to login to the FTP host.

Anonymous

When connecting to FTP hosts for which you do not have an account you can normally use an "anonymous" connection. This uses the login name "Anonymous" and a password of "anonymous@yopmail.com".

Remote Path

The Remote Path setting is an optional field that you can use to specify the initial folder to connect to on the FTP host when the connection is first established. If the path is not specified then you will connect to the root folder.

Code page

The Code Page setting is used to control the code page used by the FTP server. This setting is necessary whenever the FTP server uses a different code page than the local computer in order to ensure the proper display of file names and information.

The default value of UTF-8 should work for most systems.

Use passive mode

FTP file transfer between your computer and the FTP host normally use FTP active transfer protocol. Many corporate firewalls do not permit such communications as they are a security problem for the corporate network. In the event that you cannot transfer files you may be behind such a firewall. In that event you should try checking the "Use passive mode" checkbox. This will use passive mode transfers which most firewalls permit.

Edit

The Edit command will display the FTP Connection Settings dialog as in the Add command. In the case of the Edit command you can modify the contents of any of the fields and then replace them in the configuration.

Select the host you wish to edit in the list and then press the [Edit] button.

Delete

The Delete command is used to remove hosts from the list. Simply select the host you wish to delete and then press the [Delete] button. No confirmation is required.

Note that only one FTP host can be selected and deleted at a time.

Move Up

The Move Up command is used to maintain the list. The command allows you to order the list the way that you like.

To move a host up in the list, select it and then press the [Move Up] button. Only one host may be moved at a time.

Move Down

The Move Down command is used to maintain the list. The command allows you to order the list the way that you like.

To move a host down in the list, select it and then press the [Move Down] button. Only one host may be moved at a time.

Export...

The Export command is used to backup your FTP connection settings or to export them so that they may be transferred to another computer. The FTP connection data is stored in a .xml file that is propriatary to Just Manager and that is not usable by other applications.

When the command is executed (by pressing the button) you will be presented with a browse dialog where you can select the name of the file to export the data to and the folder where you would like to store the data.

Import...

The Import command is used to restore your FTP connection settings or to import them from another computer. The FTP connection data is stored in a .xml file that is propriatary to Just Manager and that is not usable by other applications.

When the command is executed (by pressing the button) you will be presented with a browse dialog where you can select the file to import the data from.

Close

The Close command is used to close the FTP Connection Manager.

Upon successful connection to the FTP host the session will be opened in the current tab, opened in a new tab, or silently connected (connected but not displayed). See the section Configuration/FTP for configuring this behavior.

Once an FTP session has been opened it will be available for use. You can select the FTP connection just like any local drives or the local network through the Drives Buttons Bars, the Drives List panels, and the Navigation Panel.

The folders and files on the FTP host may then be accessed in the file panel in the same manner that regular folders are. Many FTP hosts will restrict your access to the functions that you may perform so some commands may produce errors.

You can disconnect from the FTP host by right clicking on the corresponding entry in the Drives Button bars and selecting "Disconnect" from the context menu.

Unsupported Commands and Operations

The following commands and operation are currently not supported in the FTP file panels:

Drag and Drop
Multi-Rename Tools
Change Attributes and Timestamps
Cut
Copy to Clipboard
Paste
All operations between 2 FTP file panels

Modified Commands and Operations

The following commands operate differently in the FTP file panels:

Delete to Recycle Bin

The "Delete to Recycle Bin" command will simply delete files from FTP file panels. They are not copied to the recycle bin.


Just Manager Commands

This section describes the Just Manager internal commands. Almost all of these commands are available via the Main Menu or Main Menu Toolbar, the Main Toolbar, and Keyboard Shortcuts. Several of these commands are also available in the Function Toolbar.

Each command entry includes a description of the command, an explanation of differences in the command under each interface, the default menu group, the default toolbar button assignment, the default function toolbar button assignment, the default keyboard shortcut, and if needed a description of other ways to execute the command.

The following command groups make up the Just Manager internal commands:

File Panel Commands
Tab Commands
Drive and Folder Commands
File Commands
Clipboard Commands
Network Commands
Tool Commands
Configuration Commands
Miscellaneous Commands


File Panel Commands

The File Panel commands are used to control the appearance of files and folders within the file panels and to control the selection of items within the file panels.

Details Button Details

The Details command displays the file and folder entries of the active file panel in a single column. Each entry displays a 16x16 icon, the filename, and a customizable set of detailed information.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		View/Panel
(unassigned)
(unavailable)
(unassigned)

Icons Button Icons

The Icons command is used to display the file and folder entries of the active file panel in multiple columns. Each entry displays a 32x32 icon and the filename.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		View/Panel
(unassigned)
(unavailable)
(unassigned)

Invert Selection Button Invert Selection

The Invert Selection command will invert that state of all selected folders and files and the current tab of the active file panel (ie. folders and files that are currently selected will become unselected and those that are unselected will become selected).
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

List Button List

The List command displays the file and folder entries in the active file panel in multiple columns. These columns are more spread out than the Small Icons View. Each entry displays a 16x16 icon and the filename.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		View/Panel
(unassigned)
(unavailable)
(unassigned)

Navigation Panel button Navigation panel

The Navigation Panel command is used to toggle the Navigation Panel on and off.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

Open Path Edit Button Open path edit

The Open Path Edit command will switch the focus to the Path Panel for the active File Panel and will switch to edit mode thus allowing you to edit the path and navigate to any location.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
[Alt][Up]

Open Selection Button Open selection in nearest panel

The Open Selection in Nearest Panel command will open the currently focussed folder in the active path panel in the nearest path panel.

The behavior of this command may be customized using the Settings/Navigation/Open in New Tab and Settings/Navigation/Move Focus settings.

When a file is currently selected then the current path of the file panel is used.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
[Ctrl][Left]/[Right]

Open In New Tab Button Open selection in new tab

The Open Selection in New Tab command will open the currently focussed folder in the active file panel in a new tab in the same file panel.

When a file is currently selected then the current path of the file panel is used.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

Panel View Button Panel View

The Panel command controls how folders and files are listed in the current tab of the active file panel. The available selections are Details, Icons, List, Small Icons, Tile, and Thumbnails.

In the Main Menu this is displayed as a submenu while the Toolbar button and Keyboard Shortcut will popup a list at the top right of the active file panel.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		View
Button 12
(unavailable)
(unassigned)

Panels Layout Button Panels Layout

The Panels Layout command controls the number and layout of File Panels within Just Manager.

A list is displayed with the layout options. The options are: 1x1, 2x1, 1x2, and 2x2 where the first number is the number of colums of File Panels and the second number is the number of rows of File Panels.

Changes made using this command are persistent and will remain in effect after Just Manager is exited and then restarted.

Note that Just Manager supports up to a 4x4 layout. See the section Config/View fot more information.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

Refresh Button Refresh

The Refresh command is used to force the current tab of the active file panel to be re scanned and redisplayed. This command is used for any circumstance that the program does not automatically update the display.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		View
Button 13
(unavailable)
[Ctrl][R]
.

Select All Button Select All

The Select All command will select all folders and files in the current tab of the active file panel. The ".." folder will not be selected.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Edit
(unassigned)
(unavailable)
(unassigned)

Select Item Button Select Item

The Select Item command will select the currently focussed folder or file in the current tab of the active file panel. The ".." folder will not be selected.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
[Insert]

Show hidden files button Show hidden files

Thes Show Hidden Files command toggles the state of whether hidden files are displayed in the File Panels or not. This setting is program wide and not set on a per panel basis.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

Small Icons Button Small Icons

The Small Icons command is used to display the file and folder entries in the active file panel in multiple columns. Each entry displays a 16x16 icon and the filename.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		View/Panel
(unassigned)
(unavailable)
(unassigned)

Swap Panels Button Swap Panels

The Swap Panels command will swap the currently active tab from the currently active file panel with the currently active tab in the closest file panel.

This command has no effect if either tab is locked.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

Tile Button Tile

The Tile command is used to display the file and folder entries in the active file panel in multiple wide columns. Each entry displays a 32x32 icon, the filename, the file size, and the "Modified" date/timestamp.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		View/Panel
(unassigned)
(unavailable)
(unassigned)

Thumbnails button Thumbnails

The Thumbnails command displays the file and folder entries in the active file panel in multiple columns. These columns contain thumbnail images of the files and folders. Non graphics are displayed using associated icons while image files are displayed using thumbnails of the images..
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		View/Panel
(unassigned)
(unavailable)
(unassigned)

Thumbnails button 2 Thumbnails (Drop-down)

The Thumbnails (drop-down) command is used to set the size of the thumbnail images when displaing the file panel contents in Thumbnails view mode. Available options are 48, 64, 96, 128, and 256.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unavailable)
Button 13
(unavailable)
(unavailable)

Unselect All Button Unselect All

The Unselect All command will unselect all folders and files in the current tab of the active file panel.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Edit
(unassigned)
(unavailable)
(unassigned)


Tab Commands

The Tab commands are used to control Just Manager's tabbed interface. These commands allow you to create and delete tabs as well as provide them with a user defined fixed name.

Note that the Tabs commands can also be accessed from the tabs context menu by right clicking on any tab.

Add Tab Button Add Tab

The Add Tab command is used to create/open a new tab in the active file panel. The current tab is cloned and opened in the same folder.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Tabs
(unassigned)
(unavailable)
[Ctrl][T]

Delete All Tabs Button Delete All Tabs

The Delete All Tabs command is used to delete/close all unlocked tabs in the active file panel. There is no confirmation for this operation.

Just Manager will always keep at least one tab open in each file panel. The command will not be available if only one tab is open in the active file panel. If more than one tab is open then the leftmost tab will be kept open.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Tabs
(unassigned)
(unavailable)
[Ctrl][Shift][W]

Delete Tab Button Delete Tab

The Delete Tab command is used to delete/close the current tab in the active file panel. There is no confirmation for this operation.

Tabs which are locked cannot be deleted/closed until they are unlocked. Attempts to delete/close locked tabs will be ignored.

Just Manager will always keep at least one tab open in each file panel. The command will not be available if only one tab is open in the active file panel.

Note that you can also delete a tab by double clicking on it provided that option is enabled in the Tabs Settings page.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Tabs
(unassigned)
(unavailable)
[Ctrl][W]

Lock Tab Button Lock/Unlock Tab

The Lock Tab/Unlock Tab commands are used to lock or unlock the current tab in the active file panel. The command displayed in the menu will automatically switch depending on the state of the current tab in the active file panel.

When locked, tabs are immune from being deleted/closed. Locked tabbs are also immune from navigation (ie. you can't change folders).
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Tabs
(unassigned)
(unavailable)
(unassigned)

Lock Button Lock

The Lock command is the same as the Lock Tab command (above) with the exception that you can still navigate drives and folders in the tab. Note that after switching to another tab and then returning to the locked tab it will revert back to the path that it was originally locked under (depending on the Reset Locked (nav allowed) tabs after selection change setting).
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Tabs
(unassigned)
(unavailable)
(unassigned)

Rename Tab Button Rename Tab

The Rename Tab command is used to provide a permanent name for the current tab in the active file panel. Once a tab has been renamed it will always display the new name regardless of what folder, network connection, or FTP connection is being displayed.

You can rename a Tab to "null" (empty string). This will return the Tab to it's default name which is based on the current path of the Tab.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Tabs
(unassigned)
(unavailable)
(unassigned)

Switch Tab (Next)

The Switch Tab (Next) command is used to switch the current tab in the active file panel. The command switches the current tab in the active file panel by rotating forward through the available tabs.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unavailable)
(unavailable)
(unavailable)
[Ctrl][Tab]

Switch Tab (Previous)

The Switch Tab (Previous) command is used to switch the current tab in the active file panel. The command switches the current tab in the active file panel by rotating backward through the available tabs.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unavailable)
(unavailable)
(unavailable)
[Ctrl][Shift][Tab]


Drive and Folder Commands

The Drive and Folder commands provide a method of switching drives and maneuvering though folders.

Backward Button Backward

The Backward command is used to change folders in the current tab of the active file panel by navigating backwards through the history of recently displayed folders. Each issuance of this command will back up one entry in the folder history list.

The default Toolbar button also includes an arrow control as part of the button. Pressing the down arrow part of the button to display the history and then select the folder you wish to switch to.

Separate histories are maintained for each file panel.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
Button 7
(unavailable)
[Alt][Left]

Calculate Size Button Calculate Folder Size

The Calculate Folder Size command is used to calculate the size of the focused folder in the current tab of the active file panel. The command is recursive so the contents of all subfolders is calculated. The results are displayed in the file panel.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
[Space]

Compare Directories Button Compare Directories

The Compare Directories command is used to compare two displayed directories (folders). The directories that are compared are the first two file panels in the row of the currently active file panel.

The comparison criteria dialog is displayed. You may select the criteria used when comparing directories. These include entry file/folder name, size, creation date, last access date, last modification date, and the attributes.

Press the [OK] button to begin the comparison. All files and folders which are not identical to those in the other panel (based on the comparison criteria) or do not exist in the other file panel are selected as a result of the comparison.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unassigned)
(unassigned)

Create Folder Button Create Folder

The Create Folder commands is used to create a new folder in the current tab of the active file panel. A dialog is displayed allowing the name of new folder to be entered.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Folder
(unassigned)
[F7]
[F7]

Folder Favorites Button Folder Favorites

The Folder Favorites command is used the change the current folder for the current tab in the active file panel. Pressing the button control will display a list of user defined favorite folders. Select the folder to switch to and Just Manager will change the current folder.

For the Main Toolbar the folder list is displayed under the button while it is displayed at the top left hand corner of the active file panel for the Main Menu and Keyboard Shortcut commands.

See the Customizing Favorites and System Folders for information on how to configure the favorite folders.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
Button 10
(unavailable)
(unassigned)

Forward Button Forward

The Forward command is used to change folders in the current tab of the active file panel by navigating forward through the history of recently displayed folders. Each issuance of this command will move forward one entry in the folder history list.

The default Toolbar button for this command also includes a down arrow. Pressing the down arrow part of the button to display the history and then select the folder you wish to switch to.

Separate histories are maintained for each file panel.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
Button 8
(unavailable)
[Alt][Right]

Go To Root Button Go To The Root

The Go To The Root command is used to change folders in the current tab of the active file panel. The tab will switch to the root folder of the current folder.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut:
Other: 		(unassigned)
(unassigned)
(unavailable)
[Ctrl][Home]
Path Pannel Buttons

Go Up Button Go Up

The Go Up command is used to change folders in the current tab of the active file panel. The tab will switch to the parent folder of the current folder.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut:
Other: 		(unassigned)
Button 9
(unavailable)
[Backspace]
Path Panel Buttons

Left Drives List Button Left Drives List

The Left Drives List command is used to display a popup menu of the Drive Access List. The list is displayed just above the leftmost file panel in the current row of the active file panel.. You can select any drive, network, or FTP connection and the current tab of the active file panel will change to that drive.

The command is supplied as a convenience in the event that you have both the Drive Access Buttons bar and the Drive Access List hidden.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
[Alt][F2]

Right Drives List Button Right Drives List

The Right Drives List command is used to display a popup menu of the Drive Access List. The list is displayed just above the second to the leftmost file panel in the current row of the active file panel.. You can select any drive, network, or FTP connection and the current tab of the active file panel will change to that drive.

The command is supplied as a convenience in the event that you have both the Drive Access Buttons bar and the Drive Access List hidden.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
[Alt][F1]

System Folders Button System Folders

The System Folders command is used the change the current folder for the current tab in the active file panel. Pressing the button control will display a list of pre-defined system folders. Select the folder to switch to and Just Manager will change the current folder.

For the Main Toolbar the folder list is displayed under the button while it is displayed at the top left hand corner of the active file panel for the Main Menu and Keyboard Shortcut commands.

See the Customizing Favorites and System Folders for information on how to configure the system folders.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
Button 11
(unavailable)
(unassigned)


File Commands

The File commands provide a set of functions for viewing and manipulating files in Just Manager.

Context Menu button Context menu

The Context Menu command will display the Windows context menu for the currently selected files and folders on the active tab in the active file panel. This command of the equivalent of the standard right clicking on files and folders.

This command is primarily intended for when the NC Style Selection setting is enabled and you cannot display the context menu through the right click option.

Note tha the [Menu] keyboard key will perform the same function
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

Copy Button Copy

The Copy command will copy the files and/or folders currently selected in the current tab of the active file panel to another panel. Items are copied between the 1st and 2nd file panels of each row.

If Copy Confirmations are enabled then a dialog will request that you confirm the operation before the files are copied. See the section Configuration/File operations/Display copy confirmation for more information.

The copy command works in the same manner as copying with drag and drop. It supports the same overwrite protection. See the section Using Drag and Drop for more information.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		File
Button 3
[F5]
[F5]

Copy file names button Copy file names

The Copy File Names command will copy the names of all files and/or folders currently selected in the current tab of the active file panel to another panel. Items are copied to the clipboard and the items are separated by a carriage return line feed combination.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Edit
(unassigned)
(unavailable)
[Ctrl][Ins]

Copy file paths button Copy file paths

The Copy File Paths command will copy the complete file drive path, name, and extension of all files and/or folders currently selected in the current tab of the active file panel to another panel. Items are copied to the clipboard and the items are separated by a carriage return line feed combination.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Edit
(unassigned)
(unavailable)
[Shift][Alt][Ins]

Copy selected names to command line button Copy selected names to command line

The Copy Selected Names to Command Line command will insert the list of selected files and folders in the currently active File Panel into the Command Line editbox.

The list is inserted at the current cursor position in the editbox with each file name separated by a space.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

Copy selected paths to command line button Copy selected paths to command line

The Copy Selected Paths to Command Line command will insert the list of selected files and folders in the currently active File Panel, with complete path information, into the Command Line editbox.

The list is inserted at the current cursor position in the editbox with each file path and name combination separated by a space.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

Create File Button Create File

The Create File command is used to create a new file in the current tab of the active file panel. A dialog is displayed allowing the new filename to be entered. Once the new file is created it is immediately opened in the user defined editor for that file type (see the section on Configuration/View/Edit for details on configuring the editors).
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
[Shift][F4]

Delete From Disk Button Delete From Disk

The Delete From Disk command is used to delete all selected folders (and their contents) and files from the current tab of the active file panel. It differs only from the Delete To Recycle Bin command in that deleted folders and files are not sent to the Recycle Bin. They are instead deleted permanently from the disk.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
[Shift][Del]

Delete To Recycle Bin Button Delete To Recycle Bin

The Delete To Recycle Bin command will delete the files and/or folders currently selected in the current tab of the active file panel to the recycle bin. If no items are selected then no action is taken.

If Delete Confirmations are enabled then a dialog will request that you confirm the operation before the files are moved to the recycle bin. See the section Configuration/File operations/Display delete confirmation for more information.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		File
Button 5
[F8]
[F8], [Del]

Edit Button Edit

The Edit command will launch an external editor to edit the currently focused file in the current tab of the active file panel. This command does not support folders. The editors are user configurable. Please see the section Configuration/View/Edit for details.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		File
Button 2
[F4]
[F4]

File Properties Button File Properties

The File Properties command will display the standard Windows File Properties dialog.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unassigned)
(unassigned)

Move Button Move

The Move command will move the files and/or folders currently selected in the current tab of the active file panel to another panel. Items are moved between the 1st and 2nd file panels of each row.

If Move Confirmations are enabled then a dialog will request that you confirm the operation before the files are moved.. See the section Configuration/File operations/Display move confirmation for more information.

The move command works in the same manner as moving with drag and drop. It supports the same overwrite protection. See the section Using Drag and Drop for more information.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		File
Button 4
[F6]
[F6]

Rename Button Rename

The Rename command will rename the currently focused file or folder in the current tab of the active file panel.

The currently focused item will be displayed in an edit mode where characters in the name and extension can be deleted or entered. Pressing the [Enter] key will confirm the rename operation and exit edit mode. Pressing the [Esc] key will abort the rename operation.

This command can also be executed by left clicking on an entry in a file panel.

Note that using this command with multiple items selected in the File Panel will automatically launch the Multi-Rename tool.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		File
Button 6
(unavailable)
[F2] / [Ctrl][R]

View Button View

The View command will launch an external viewer to display the currently focused file in the current tab of the active file panel. This command does not support folders. The viewers are user configurable. See the section Configuration/View/Edit for details.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		File
Button 1
[F3]
[F3]


Clipboard Commands

The Clipboard commands provide the standard Windows clipboard functions.

Copy To Clipboard Button Copy

The Copy command is the standard Windows copy command. It will copy all selected folders and files from the active file panel to the Windows clipboard.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Edit
(unassigned)
(unavailable)
[Ctrl][C]

Cut Button Cut

The Cut command is the standard Windows cut command. It will copy all selected folders and files from the active file panel to the Windows clipboard.

Once the files are copied to the clipboard they will be deleted from the active folder.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Edit
(unassigned)
(unavailable)
[Ctrl][X]

Paste Button Paste

The Paste command is the standard Windows paste command. It will copy the folders and files currently on the clipboard to the current tab in the active file panel.

In the event that the clipboard does not contain folders and/or files then no action will be taken.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Edit
(unassigned)
(unavailable)
[Ctrl][V]


Network Commands

The Network commands provide tools for accessing network drives and FTP sites.

Disconnect FTP

The Disconnect FTP command is used to close an FTP session. The command is unusual in that it is not available from the Main Menu, the Main Toolbar, or via Keyboard Shortcuts.

This command is only available from the drive context menu (right click menu) from the corresponding FTP connection on the Drive Access Buttons bar.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut:
Other: 		(unavailable)
(unavailable)
(unavailable)
(unavailable)
Drive Context Menu

Disconnect Network Drives Button Disconnect Network Drives

The Disconnect Network Drives command is used to disconnect any network resources previously mapped to a local drive The Disconnect Network Drives dialog is displayed. All network drives mapped to a local drive letter will be listed. Select one or more drives to disconnect (you can select the drives in the same manner as selecting folders and files in the file panels (see the section The Basics for more information)). Next, press the [OK] button to disconnect the drives.

When drives are disconnected in this manner they will automatically be removed from the auto-connect on logon list.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Tools
Button 20
(unavailable)
(unassigned)

FTP Connections Manager Button FTP Connection Manager

This command will open the FTP Connections Manager where you can configure your FTP hosts and can establish FTP sessions. Please see the section Using FTP for details.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		FTP
(unassigned)
(unavailable)
(unassigned)

Map Network Drive Button Map Network Drive

The Map Network Drive command is used to connect to a drive or folder on another computer in your local area network and map it to a local drive. The Map Network Drive dialog is displayed.

Select a drive letter from the dropdown box of available drive letters. Next, either manually type in the resource name or use the [Browse] button to search from the resource you want to connect to.

The "Reconnect at logon" checkbox may be checked if you would like to automatically reconnect to the network resource each time you logon to the computer. The "Connect using different credentials" checkbox is used if you want to connect as a different user. Finally press the [Finish] button to connect to the drive.

Once a drive is mapped it can be used just like any other local drive.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Tools
Button 19
(unavailable)
(unassigned)


Tool Commands

The Tool commands provide access to a set of built-in tools.

Attributes Button Change Attributes and Timestamps

The Change Attributes/Timestamps command will launch the Attributes and Timestamps Tool. The tool is used to change attributes and/or timestamps in a group of selected folders and/or files. See the Using the Attributes Tool for more information.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		File
(unassigned)
(unavailable)
(unassigned)

Command Prompt Button Command Prompt

The Command Prompt command will open a console window (cmd.exe) in the folder of the current tab of the active file panel.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Tools
Button 17
(unavailable)
[Ctrl][D]

Control Panel Button Control Panel

The Control Panel command will open the Windows Control Panel.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

Go to command line button Go to command line

The Go To Command Line command opend the Command Line panel and chanes the focus to it. It is intended to allow activation of the Command Line if it is hidden, see the Show Command Line option for more information.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
(unassigned)

Multi-Rename Button Multi-Rename Tool

The Multi Rename command will launch the Multi Rename Tool. The Multi Rename Tool is used to rename groups of files and folders using user defined rules. See the Using the Multi Rename Tool for more information.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		File
Button 16
(unavailable)
[Ctrl][M]

Quick Viewer Button Quick Viewer

The Quick Viewer command will open the Quick Viewer tool in the nearest available File Panel. The viewer will then display the contents of active file. Repeating the command from the same panel that was used to activate Quick Viewer will close the tool.

See the Using the Quick Viewer section for more information on using the tool.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		(unassigned)
(unassigned)
(unavailable)
[Ctrl][Q]

Run Button Run

The Run command is used to execute programs or open files using the Windows shell. The Run dialog is displayed.

You can manually type in a command, use the [Browse] button to search for a file, or use the dropdown list to select from a list of previously entered commands. If you use the [Browse] button or select a previous command from the dropdown list you can then edit it in the editbox.

The selected file does not need to be an executable file. In the event an executable is not specified then the default program associated with the file type will be used to open the specified file.

Command line arguments may also be included with the command.

Remember to enclose paths that include spaces in double quote characters (").

Press the [OK] button to execute the command or the [Cancel] button to abort the operation.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Tools
Button 18
(unavailable)
(unassigned)

Search Button Search Tool

The Search command will launch the Search Tool. The Search Tool is used to search file and folders based on their filenames and/or the file content. See the Using the Search Tool for more information.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		File
Button 15
(unavailable)
[Alt][F7]


Configuration Commands

The Configuration commands provide access to Just Manager's configuration data as well as the ability to save, import, and export the data. See the section Program Settings for information on the available program settings.

Export Settings Button Export Settings

The Export Settings command is used to save Just Manager's settings in the user specified file for backup purposes.

A standard Windows SaveAs dialog is displayed. You can browse to the folder where you want to export the settings to and then enter a filename. The file is stored in an XML file exactly like the file used to store the program configuration.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Configuration
(unassigned)
(unavailable)
(unassigned)

Export Theme Button Export Theme

The Export Theme command is used to save Just Manager's visual settings in the user specified file for backup or sharing purposes. Only the settings in the Configuration/Fonts and colors settings tab are saved. The file extension .jmt (JustManagerTheme) is used by default.

A standard Windows SaveAs dialog is displayed. You can browse to the folder where you want to export the settings to and then enter a filename. The file is stored in XML file format exactly like the file used to store the program configuration.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Configuration
(unassigned)
(unavailable)
(unassigned)

Import Settings Button Import Settings

The Import Settings command is used to import a previously saved settings file. The command can be used for initially setting up a new user on the computer, for transferring the settings to another computer, or for restoring a settings file should it ever become corrupted or accidentally erased.

The Import Settings dialog is displayed. You can either manually enter the path to the file you want to import or use the [Browse] button to browse for the file. Press the [OK] button execute the command or press the [Cancel] button to abort the operation.

If the "( ) Import after restart" radio control is selected then the import will be applied the next time that you start Just Manager. If the "( ) Real time import" radio control is selected then the import will occur immediately and Just Manager will repaint the display to reflect the changes.

Note that if the new settings include a change in the Configuration/View/Use visual styles setting then that change will not occur until Just Manager is restarted.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Configuration
(unassigned)
(unavailable)
(unassigned)

Import Theme Button Import Theme

The Import Theme command is used to import Just Manager's visual settings from the user specified file. Only the settings in the Configuration/Fonts and colors settings tab are imported. All other settings are left intact.

A standard Windows Open dialog is displayed. You can browse to the folder where you want to import the settings from and then enter a filename or select the file from those in the dialog. The file is stored in XML file format exactly like the file used to store the program configuration.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Configuration
(unassigned)
(unavailable)
(unassigned)

Save Settings Button Save Settings

The Save Settings command is used to save the current settings. Along with the configuration settings, the program will also save the current size and position of the main window, all current tab and file panel folder names, and the settings for the main toolbar.

In the portable version the settings will be stored in the file Settings.xml and stored in the Just Manager program folder. In the standard version the settings will be stored in the file Settings.xml in the folder "AppData\Local\JustManager" inside the current user profile.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Configuration
(unassigned)
(unavailable)
(unassigned)

Settings Button Settings

The Settings command is used to access the configuration settings for Just Manager. For information on the program settings see the Configuration/Settings section.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Configuration
Button 21
(unavailable)
(unassigned)


Miscelaneous Commands

Miscellaneous Commands

The Miscellaneous commands provide access to the program's help functions and a means to exit the program.

About Button About

The About command will display a dialog that provides information about the program, it's current version number, and contact hyperlinks.

Press the [OK] button to close the About dialog.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Help
(unassigned)
(unavailable)
(unassigned)

Exit Button Exit

The Exit command is used to terminate Just Manager. No confirmation is required.

Note that the Exit command will always terminate the program regardless of the Close to Tray setting.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		File
(unassigned)
[Alt][F4]
[Alt][F4]

Help Button Help

The Help command will display this help file.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Help
(unassigned)
(unavailable)
[F1]

Just Manager Website Button Just Manager website

The Just Manager Website command will open the Just Manager home page in your system default browser.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Help
(unassigned)
(unavailable)
(unassigned)

Submit Feedback Button Submit Feedback

The Submit Feedback command will connect your default browser to the Just Manager feedback page on blogspot.com where you can post messages to the author. For more information on contacting the authors see the section Contact Information.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Help
(unassigned)
(unavailable)
(unassigned)

Support the Project Button Support the project...

The Support the Project command will open the Just Manager donation page in your system default browser.
Menu Group:
Main Toolbar:
Function Toolbar:
Keyboard Shortcut: 		Help
(unassigned)
(unavailable)
(unassigned)


Using the Quick Viewer

The Quick Viewer tool provides a quick and easy way to view the contents of files within Just Manager.

Activating and Deactivating the Quick Viewer

The Quick Viewer tool can be activated via a Main Menu command, a Main Toolbar button, or via Keyboard Shortcut depending on how Just Manager is configured. By default Quick Viewer is bound to the [Ctrl][Q] keyboard shortcut. See the Quick Viewer command for more information.

When activated the Quick viewer will be displayed as a window that replaces the nearest File Panel (with preference given to a File Panel on the same row). The Quick Viewer window is then associated with the File Panel that was active when it was opened.

To deactivate/close the Quick Viewer simply repeat the Quick Viewer command from the same File Panel that was active when the viewer was opened.

Selecting Files

Once the Quick View is activated is will attempt to display the currently selected file from within the File Panel that was used to open the Quick Viewer. Folders and symbolic links are ignored.

Supported File Types

Quick Viewer will display the following image file formats: bmp, gif, jpg, and png.

Quick Viewer will display the following document file formats: txt, rtf, htm/html, and xml.

All other files will be displayed as if they are plain text files.

Folders and symbolic links are ignored and the display will be blank.

Keyboard and Mouse Controls

When displaying text/document files the keyboard may be used to maneuver through the file.

Plain Text and RTF Files

The following commands are available when viewing plain text and rtf files:

[Up] / [Ctrl][Up]

Move the cursor up one line, scrolling as needed.

[Down] / [Ctrl][Down]

Move the cursor down one line, scrolling as needed.

[Right]

Move the cursor right one character, scrolling as needed.

[Left]

Move the cursor left one character, scrolling as needed.

[PgUp]

Scroll up one page.

[PgDn]

Scroll down one page.

[Ctrl][PgUp]

Move the cursor to the top of the page.

[Ctrl][PgDn]

Move the cursor to the bottom of the page.

[Ctrl][Home]

Move the cursor to the beginning of the file.

[Ctrl]End]

Move the cursor to the end of the file.

[Shift][Up] / [Ctrl][Up]

Move the cursor up one line and extend selected text to the new cursor position.

[Shift][Down] / [Ctrl][Down]

Move the cursor down one line and extend selected text to the new cursor position.

[Shift][Right]

Move the cursor right one character and extend selected text to the new cursor position.

[Shift][Left]

Move the cursor left one character and extend selected text to the new cursor position.

[Shift][PgUp]

Scroll up one page and extend selected text to the new cursor position.

[Shift][PgDn]

Scroll down one page and extend selected text to the new cursor position.

[Shift][Ctrl][PgUp]

Move the cursor to the top of the page and extend selected text to the new cursor position.

[Shift][Ctrl][PgDn]

Move the cursor to the bottom of the page and extend selected text to the new cursor position.

[Shift][Ctrl][Home]

Move the cursor to the beginning of the file and extend selected text to the new cursor position.

[Shift][Ctrl]End]

Move the cursor to the end of the file and extend selected text to the new cursor position.

[Ctrl][Num +]

Zoom in (increase the zoom rate).

[Ctrl][Num -]

Zoom out (decrease zoom rate).

[Ctrl][Num *]

Zoom reset (resets to original/default zoom rate).

[Ctrl][C]

Copy the currently selected text to the Windows clipboard.

Mouse Wheel

Scrolls the Quick Viewer window.

Mouse Left Click

Move cursor to mouse location.

Mouse Left Click and Drag

Select text.

HTML, XML, and Image Files

The following commands are supported for html, xml, and supported image files:

[Up] / [Ctrl][Up]

Scroll the window up.

[Down] / [Ctrl][Down]

Scroll the window down.

[Right] / [Ctrl][Right]

Scroll the window right.

[Left] / [Ctrl][Left]

Scroll the window left.

[PgUp] / [Ctrl][PgUp]

Scroll up one page.

[PgDn] / [Ctrl][PgDn]

Scroll down one page.

[Home] / [Ctrl][Home]

Move the cursor to the beginning of the file.

[End] / [Ctrl]End]

Move the cursor to the end of the file.

[Ctrl][Num +]

Zoom in (increase the zoom rate).

[Ctrl][Num -]

Zoom out (decrease zoom rate).

[Ctrl][Num *]

Zoom reset (resets to original/default zoom rate).

Mouse Wheel

Scrolls the Quick Viewer window.

Mouse Left Click and Drag

Select text and/or images.

Context Menu

Context menus are available when viewing html, xml, and image files. The context menu can be activated by first selecting an object and then right clicking on it. The options available in the context menu will depend on your system configuration

Hyperlinks

Hyperlinks in html files are fully supported including browsing to external websites.

Note that the [Back] and [Forward] Main Toolbar buttons will not function in the Quick Viewer tool. Instead use the functions available in the context menu.

Hyperlinks in plain text and rtf files is not supported.

Implementation Notes

The Quick Viewer tool is implemented using several standard Windows libraries and applications.

Plain text and rtf files are viewed using the RichEdXX dll library. This file must be present and in the path for these files to be displayed.

Html, xml, and the supported image file formats are displayed using Internet Explorer. Internet Explorer must be installed (although it need not be the default system browser) in order for these file types to be displayed.


Using Quick Search

The Quick Search feature is activated from a file panel by pressing and holding the [Alt] key and typing a displayable character (this can be changed to [Ctrl][Alt], see the section on Configuration/Quick Search for details). When Quick Search is activated the pattern mask control will be opened at the top of the file panel.

Quick Search supports two modes: Search and Filter. Filter is active when the [ ] Filter checkbox next to the search mask control is checked. Otherwise Search is active.

Search

The Search option is used to find the first folder or file in the file panel that matches the search pattern. The pattern is a "contains" pattern and not a "starts with" pattern. No wildcard characters are supported in the pattern.

When using the Search option the contents of the file panel are not modified. The first matching item is selected. Pressing [Enter] or [Esc] keys will terminate input to the search pattern and return focus to the file panel.

Filter

The Filter option is used to find all folders and files in the file panel that match the filter pattern. The pattern is a "contains" pattern and not a "starts with" pattern. No wildcard characters are supported in the pattern.

When using the Filter option the contents of the file panel will be modified. All folders and files that do not match the filter pattern are removed from the file panel in real time as the pattern is entered. Pressing the [Enter] or [Esc] keys will terminate input to the filter pattern. The contents of the file panel will continue to reflect the contents of the filter pattern. The effects of the filter pattern will persist until the [Esc] key is pressed.

Filters can be applied sequentially. Once a filter has been executed a second filter can be executed to further filter the list of folders and files. When the [Esc] key is pressed to terminate filtering then all filters will be removed.

The filter is also removed if the current drive or folder is changed.


Using the Search Tool

The Search Tool, as it's name implies, is an internal command to search for files and folders. The Search Tool can search for folders and/or files anywhere on the computer starting with a one or more folder locations. Folders and files can be searched by using not only their names, but also their content, attributes, and timestamp data. The Search Tool is activated using the Search Command.

The Search for Files and Folders dialog is displayed when the Search Tool is activated.

Search Criteria

The following basic criteria can be used when searching for folders and files:

Folder/file filename pattern

The folder and/or file search pattern is entered into the "Search for" edit control. The pattern can include the standard Window's wildcard characters "*" and "?". This control also includes a dropdown list which contains a history of previously used patterns which can be reused.

The Search Tool assumes a "*" wildcard at the beginning and end of the search pattern.

Multiple file patterns can be supplied separating them with a ";" character.

If the pattern is left blank then all folders and files will match the pattern.

Exact match

The [ ] Exact Match control, when checked, forces an exact match of the file name pattern (effectively removing the assumed "*" at the start and end of the file patterns).

Contains text

The Contains Text edit control is used to specify text located inside the target file. In order to match the search criteria the file must contain the specified text. A [ ] Case sensitive checkbox is provided to control if the content must match case.

This control also supports a dropdown list which contains a history of previously used content text patterns which can be reused.

If this field is left blank then no content matching is performed.

Search in

The Search In edit control is used to specify the folders where the search will start from. The controls contains a dropdown list which contains a history of previously used Search locations which can be reused. A browse button [...] is also provided to allow for removing items from the search path, browsing for new starting search locations, or adding all local drives.

The Search In control supports multiple search paths. Search paths are separated using a semicolon ";" character. The [Browse] button includes a menu entry to "Add path..." which will append a browsed path to the search path.

The [ ] Search In Subfolders checkbox defines whether the search is limited to the paths listed in the Search In control or whether all subfolders (recursively) are also to be included.

Advanced Search Criteria

Advanced Search criteria is available on the Advanced tab. The following criteria is supported:

Date

The Date section, when enabled by checking the [ ] Date checkbox, allows specifying a range of dates for the search criteria. You can select one of: Creation Data, Modified Date, and Accessed Date.

You must specify both the starting and ending dates and times for the range. Only files and folders matching the date/time range will be included in the search results.

Size

The Size section, when enabled by checking the [ ] Size checkbox, allows specifying a range of sizes for the search criteria.

You must specify both the minimum and maximum sizes. Only files and folders matching the size range will be included in the search results.

Note that folders are assumed to have a size of "0" and will not match any searches with a minimum size above that.

Attributes

The Attributes section, when enabled by checking the [ ] Attributes checkbox, allows specifying an attribute mask as part of the search criteria.

Each attribute is controlled by a tri-state checkbox. Attributes which are checked must have that attribute set in order to match the search criteria. Attributes which are unchecked must have that attribute clear in order to match the search criteria. Attributes which are in the third state are treated as "don't cares" and the state of that attribute is ignored for the search criteria,

Save settings

The [ ] Save Settings checkbox allows for the saving of the advanced search criteria between searches as well as between Just Manager sessions (ie. the settings are saved and will be restored the next time Just Manager is run).

Once all of the search criteria has been entered the [Search] button can be pressed. The results of the search are displayed in the Results panel.

Main Controls

The Main Controls are buttons that control the Search tool.

Search

The [Search] button is used to execute the search. Once you have setup all of the search criteria then press the [Search] button to run it.

Help

The [Help] button is used to display context sensitive help. The help file will be opened and this page will be displayed.

Close

The [Close] button is used to exit the Search tool.

The Results

Once the search has completed the Results Panel (the lower section of the Search Tool dialog) will be filled in with the results of the search. The Results panel works very much like a File panel. Search results are displayed in details mode. The following information and action controls are supported:

Information panel

The Information Panel, displayed at the bottom of the Results Panel, shows the number of folders and files that matched the search criteria as well as the amount of time it took to perform the search.

Folder/file details

You can control the details information displayed in the results panel in much the same way as in the File panels (see the section Customizing Details View Fields for details).

You can select between the following fields: Name, Path, Type, Size, Created, Accessed, Modified, and Attributes. These fields are the same as in the details view for the File Panels (see the section Customizing Details View Fields for details) with the addition of the Path field which displays the folder the item resides in.

Selecting items

Selecting items in the Results panel works the same as in the File panels except that only one item can be selected at a time. See the sections The Basics/Using the Mouse and The Basics/Using the Keyboard for details.

Drag and Drop

Drag and Drop operations are not supported in the Results Panel of the Search Tool.

Default Associated Action

The Default Associated Action can be executed by either double left clicking on an item in the Results Panel or by pressing the [Enter] key.

For files the Default Associated Action will either execute the file (if executable) or open it with the Window's default associated program.

For folders the Default Associated Action will open that folder in the current tab in the active file panel. The focus will change to the program's main window and the Search Tool dialog will remain open.

Context Menu Support

Window's context menu is supported in the Results Panel. Simply right click on the entry you wish to display the context menu for.

View

The View command is used to open the selected file in a user defined external viewer based on the file extension. This command can be executed using the button at the bottom of the Results Panel or via the View Command.

Viewers for specific file extensions can be defined using the Configuration/View/Edit settings.

Folder viewing is not supported.

Edit

The Edit command is used to open the selected file in a user defined external editor based on the file extension. This command can be executed using the button at the bottom of the Results Panel or via the Edit Command.

Editors for specific file extensions can be defined using the Configuration/View/Edit settings.

Folder editing is not supported.

Go to

The Go To command changes the folder of the current tab of the active file panel to the folder containing the selected item.

Export

The Export command allows you to save the results of a search to a text file. The fields that are exported to the text file are user selectable. A Selection dialog is displayed when the Export command is executed.

Once the fields have been selected and the [OK] button is pressed the standard Windows SaveAs file dialog is displayed to allow selecting the folder where the file is saved and the filename to save it under.

Copy path

The Copy Path command is used to copy the complete path of the selected folder or file to the clipboard.

Templates

The Search Tool supports templates. Templates provide a means of saving and reusing commonly used sets of search criteria.

Selecting Saved Templates

To select a saved template simply select one of the saved templates from the templates dropdown list.

Save

The Save button will save the current search criteria under the name listed in the templates control. This command is disabled if no template is currently selected. The command is intended for updating an existing template.

Save As

The Save As button will save the current search criteria under a new name. Enter a unique name for the template into the dialog and press the [OK] button to save it.

Delete

The Delete button is used to delete the current template. No confirmation is required. This command will be disabled if no template is selected.


Using the Multi-Rename Tool

The Multi Rename Tool, as it's name implies, is an internal command to rename groups of files and folders using user defined rules. The Multi Rename Tool is activated using the Multi-Rename Command. The tool is also activated whenever the Rename Command is invoked with multiple entries selected in the active File Panel.

The Multi Rename dialog is displayed when the Multi Rename Tool is activated. The dialog will automatically be populated with a list of all folders and files that were selected in the current tab of the active file panel.

The following items can be used to specify the rules for renaming the folders and files:

New name

The New Name edit control allows for setting the name part of the new filename (everything up to the last "."). The control allows for fixed text and/or a combination of macros to define the new name. The following macros are supported:

<name>

This macro will insert the original name in it's entirety.

<name,x>

This macro will insert part of the original name starting at offset X through the end of the name.

<name,x,y>

This macro will insert part of the original name starting at offset X for a maximum length of Y.

<count>

This macro will insert a numeric counter as part of the name. The counter values are defined in the counter section (see below).

<date>

This macro will insert the date as part of the name in the format: mm_dd_yyyy.

The New Name control supports a dropdown list which contains a history of previously used values that can be reused.

Extension

The Extension edit control allows for setting the extension part of the new filename (everything after the last "."). The control allows for fixed text and/or a combination of macros to define the new extension. The following macros are supported:

<ext>

This macro will insert the original extension in it's entirety.

<ext,x>

This macro will insert part of the original extension starting at offset X through the end of the extension.

<ext,x,y>

This macro will insert part of the extension name starting at offset X for a maximum length of Y.

<count>

This macro will insert a numeric counter as part of the extension. The counter values are defined in the counter section (see below).

<date>

This macro will insert the date as part of the extension in the format: mm_dd_yyyy.

The Extension control supports a dropdown list which contains a history of previously used values that can be reused.

Find and replace

The Find and Replace controls allow for the replacement of portions of the filename. The find and replace rules apply AFTER the new name and extension rules have been applied.

This section contains the following edit controls:

Find what

The Find What edit control is used to define the search pattern, The search is applied to the filename AFTER the New Name and Extension rules have been applied. The pattern string does not support wildcard characters.

The edit control also supports a dropdown list which contains a history of previously used search patterns. These patterns can be reused by selecting them from the history list.

Replace with

The Replace With edit control is used to define the text string that will replace the text found with the Find What search pattern. The Replace With pattern does not support any macros or wildcard characters.

The edit control also supports a dropdown list which contains a history of previously used replace patterns. These patterns can be reused by selecting them from the history list.

Case sensitive

The [ ] Case sensitive checkbox is used to specify if the search pattern in the Find What pattern is case sensitive or not.

Counter settings

The Counter Settings controls define the values inserted by the <count> macro used in the name and extension portions of the filename.

This section contains the following edit controls:

Start

The Start control specifies the first number to be used in the <count> sequence.

Step

The Step control specifies the amount that the <count> macro will be incremented for each iteration.

Digits

The Digits control sets the minimum number of digits to be used by the <count> macro. Leading "0"s will be added to force the <count> value to the size specified in this control.

If the <count> value exceeds the number of digits specified in this control then additional digits are automatically added as needed.

Main Controls

The following controls are used to control the Multi-Rename Tool.

Rename

The [Rename] button is used to execute the Multi-Rename function. After all of the renaming criteria has been set use this button to execute the renaming.

Help

The [Help] button is used to display context sensitive help for the Multi-Rename tool. The help file is opened to this help page.

Close

The [Close] button is used to close the Multi-Rename tool. Any pending renaming is not executed.

Additional Features

The Multi Rename Tool also supports the following features:

Folder/file details

You can control the details information displayed in the results panel in much the same way as in the File panels (see the section Customizing Details View Fields for details).

You can select between the following fields: Name, New name, Path, Type, Size, Created, Accessed, Modified, and Attributes. These fields are the same as in the details view for the File Panels (see the section Customizing Details View Fields for details) with the addition of the New Name field which provides a preview of the new filename and the Path field which displays the folder the item resides in.

Templates

The Multi Rename Tool supports templates. Templates provide a means of saving and reusing commonly used sets of renaming rules.

Selecting Saved Templates

To select a saved template simply select one of the saved templates from the templates dropdown list.

Save

The Save button will save the current renaming rules under the name listed in the templates control. This command is disabled if no templates is currently selected. The command is intended for updating an existing template.

Save As

The Save As button will save the current renaming rules under a new name. Enter a unique name for the template into the dialog and press the [OK] button to save it.

Delete

The Delete button is used to delete the current template. No confirmation is required. This command will be disabled if no template is selected.

Once all of the rename rules have been entered you can preview the results of the rename operation in the New Name column. When you are satisfied with the rules press the [Rename] button to perform the actual rename operation.


Using the Attributes and Timestamps Tool

The Attributes and Timestamps tool provides a means of changing folder and file attributes and timestamps. This tool will act on selected folders and files in the current tab of the active file panel. The Change Attributes/Timestamps dialog is displayed when the tool is run. The following controls are defined:

Attributes

Check the [ ] Attributes checkbox to modify the attributes of the selected folders and files. Each attribute is represented by a tri-state checkbox.

If a single folder or file is selected when the tool is run then the Attributes section will display the current settings for that folder/file.

If multiple folders and files are selected when the tool is run then the Attributes section will display all attributes in the "don't change" state.

Checking an attribute checkbox will set that attribute in all selected folders and files. Unchecking the checkbox will clear that attribute in all selected folders and files. The third state will leave those attributes unchanged.

Timestamps

The three standard Window's timestamps are supported by the tool.

Created

The Created timestamp indicates when the folder or file was created on the system

Accessed

The Accessed timestamp indicates the last time the folder or file was accessed by any program on the system.

Modified

The Modified timestamp indicates the last time the folder or file was written to by any program on the system.

Each timestamp can be modified independently of the other timestamps. Check the appropriate checkbox and enter the new date and time for the timestamp.

Include files and subfolders in directories

The [ ] Include files and subfolders in directories checkbox when checked will cause all folders and files included in selected folders (recursively) to also have their attributes and timestamps updated. If unchecked then only the selected folders themselves will be modified.

Using the Attributes and Timestamps Tool as a Touch Command

You can use the Attributes and Timestamps tool as a quick Touch command. Select the folders and file that you wish to "touch" and then run the Attributes and Timestamps tool. If you wish to include sub-directories then check the [ ] "Include files and sub-folders for directories" checkbox. Check the [ ] Modified checkbox and press the [OK] button. The timestamp fields default to the current time and date so there is no need to change them.

Main Controls

The following controls are used to control the function of the Attributes and Timestamps tool.

OK

The [OK] button is used to execute the changes of the attributes and timestamps of the currently selected files and folders. Once you have made all of the changes that you want to make then press this button to execute those changes.

Cancel

The [Cancel] button is used to abort the modifications of the attributes and timestamps.

Help

The [Help] button is used to display context sensitive help for the Attributes and Timestamps tool. The help file will be opened and this page will be displayed.


Using the Command Line

The Command Line is used to execute commands via the Window's console (cmd.exe). The Command Line can be hidden (see the section Configuration/View for details).

The Command Line can be used by left clicking in the edit control for the Command Line or by just typing in an active file panel. If the Command Line is hidden then it will be temporarily displayed when you begin typing.

The entered command should be entered just as it would be entered in the Window's Console. The program and any parameters that contain spaces must be enclosed in double quote characters ("). Commands can use environment variables. The environment variables must be enclosed in '%' characters. As an examp[le, to enter the path of the "TEMP" variable you would enter "%TEMP%".

The starting directory for the command is the path of the current tab in the active file panel. The command is the first parameter entered into the edit control. Any additional text in the edit control is sent unaltered to the program as command line parameters.

You can drag and drop files to the command line. Dropped files will be enclosed in double quotes and will replace the contents of the command line box.

You can insert the file name(s) of all the selected files and folder in the currently active file panel using the Copy Selected Names to Command Line command.. You can also insert the complete path(s) of all selected files and folders in the currently active file panel using the Copy Selected Paths to Command Line command. The list of files will be inserted at the current cursor position in the command line editbox with each file name enclosed in double quotes (if needed) and separated by a space.


 Using The Tray Context Menu

Whenever the Minimize to Tray option is enabled and Just Manager is minimized or the Close to Tray option is enabled and Just Manager is exited then Just Manager will minimize to the system tray (area in lower right of screen by the clock). The taskbar entry is removed. The Just Manager tray icon is displayed in the system tray.

Just Manager can be restored by left clicking on the system tray icon.

The Just Manager system tray icon also supports a context menu (by right clicking on teh system tray icon).

The following context menu commands are supported:

Restore

The Restore command will restore Just Manager's main window, restore the taskbar entry, and remove the system tray icon.

Exit

The Exit command will terminate Just Manager.

Note that if the Close to Tray option is enabled, then this menu command is the only way to terminate Just Manager.


Configuration

This section describes all of the program settings and customization options. The following topics are covered:

Program Settings
Defining Color File Filters
Customizing the Main Toolbar
Customizing Details View Fields
Customizing Favorites and System Folders


Program Settings

This section describes the program settings available through the Settings dialog. The following topics are covered:

General Settings
View Settings
Display Settings
Fonts and Colors Settings
Main Menu Settings
Tabs Settings
Panels Settings
Navigation Settings
Startup Folders Settings
File Operations Settings
Quick Search Settings
Command Line Settings
View/Edit Settings
Quick Viewer Settings
Favorite/System Folders Settings

Any changes made in the Settings dialog do not take effect until the [Apply] or [OK] buttons are pressed.

The [Apply] button will save and apply all changes. The Settings dialog will remain open after pressing the [Apply] button.

The [OK] button will also save and apply all changes but will also close the dialog and return to the main program window.

The [Cancel] button will discard all changes up to the last time the [Apply] button was pressed and will then close the Settings dialog and return to the main program window.

The [Help] button will display context sensitive help. The help file will be opened and the help topic coinciding with the settings page being acted on will be displayed.


General Settings Page

General

The General Settings page contains a mix of configuration settings which control a variety of program settings. The following settings are supported on the General Settings page:

Allow only one instance

The [ ] Allow Only One Instance checkbox is used to control whether or not multiple instances of Just Manager can be run simultaneously. If checked then only a single instance of Just Manager can be run and attempts to launch additional instances will have no effect (they will close immediately).

The default value for this setting is "unchecked" thus allowing multiple instances.

Always On Top

The [ ] Always On Top checkbox controls whether the Just Manager Main Window is displayed "always on top". When the control is checked the main program window will be displayed "on top" not allowing other windows to cover it up.

When unchecked the main program window is treated as a normal Window's window.

The default value for this setting is "unchecked".

Minimize to tray

The [ ] Minimize to Tray setting, when checked, will cause Just Manager to minimize to the system tray instead of staying on the task bar,

Left clicking on the icon in the system tray will restore the program.

The dault value for this setting is "unchecked".

Close to tray

The [ ] Close to Try setting, when checked, will cause the prgram to minimize to the system tray instead of clsing whenever the program is closed using the [Alt][F4] shortcut or the Close Control close control (in the top right corner of window) is pressed.

Left clicking on the icon in the system tray will restore the program.

Note that when this option is enabled that the program can still be terminated through the system tray menu or by using the Exit command.

The default value for this setting is "unchecked".

Language

The Language control selects the language that will be used in the Just Manager interface. The language selections are based on the language files stored in the Languages subfolder of the main Just Manager folder. Change the language by selecting the language file you would like from the dropdown list.

For information on translating Just Manager into other languages please see to Translating Just Manager section.

The default value for this setting is "English.lng".

Log level

The Log Level control is used to control the amount of log information that Just Manager maintains. The log information is used for debug purposes.

The available settings are: Full, Normal, and None.

The default value for this setting is "Full".

Backup

The Backup control is used to control when, if ever, the Just Manager settings are automatically backed up by the program. The following values are supported:

Off

When set to Off, Just Manager will never backup the program settings.

Startup

When set to Startup, Just Manager will backup the program settings every time the program is started.

Every day

When set to Startup, Just Manager will backup the program settings the first time the program is started each day.

Once a weeks

When set to Startup, Just Manager will backup the program settings every time the program is started each week.

Every month

When set to Startup, Just Manager will backup the program settings every time the program is started each month.

The program settings are backed up to the file Settings_yyyy.MM.dd_hh.mm.ss.xml in the directory Backup off of the same directory that the settings are stored in (program directory for the portable version and C:\Users\(user)\AppData\Local\JustManager for the standard version).

yyyy is substitued with the year number, MM is substituted with the two digit month number, dd is substituted with the two didgit day of month, hh is substituted with the two didgit hour number (in 24 hour format), mm is substituted with the two digit minute number, and ss is substituted with the two digit second number.

Note that backups are continually added and old backups are not deleted.

The default vale for this setting is "Off".


View Settings Page

View

The View Settings page contains controls used to define which main window elements are visible and how the window is displayed. The following controls are defined:

Show main menu

The [ ] Show Main Menu checkbox controls whether the Main Menu is displayed or not. The menu is displayed at the top of the main program window and is used to execute commands.

The default value for this setting is "unchecked".

Show main menu toolbar

The [ ] Show Main Menu Toolbar checkbox controls whether the Main Menu Toolbar is displayed or not. The menu is displayed in the top portion of the main program window and is used to execute commands. It differs from the Main Menu only that it customizable/movable.

The default value for this setting is "checked".

Show main toolbar

The [ ] Show Main Toolbar checkbox controls whether the Main Toolbar is displayed or not. The toolbar is displayed in the top portion of the main program window and is used to execute commands. The buttons displayed in the toolbar can be customized. See the section Customizing the Toolbar for details.

The default value for this setting is "checked".

Show navigation panel

The [ ] Show Navigation Panel checkbox controls whether the Navigation Panel is displayed or not. The panel is displayed on the left side of the main window and provides quick access to drives, the local network, FTP sessions, system folders and favorite folders.

The default value for this setting is "unchecked".

Panels layout

The Panels Layout controls are used to select the number and layout of file panels in the main window. Just Manager supports between 1 and 16 simultaneous file panels.

Columns count

The Columns Count up/down control defines the number of file panel columns that will be displayed. This value can be between 1 and 4.

The default value of this setting is "2".

Rows count

The Rows Count up/down control defines the number of file panel rows that will be displayed. This value can be between 1 and 4.

The default value of this setting is "1".

The size of the panels can be changed by dragging the panel dividers.

A context menu is also available by right clicking on a panel divider. The context menu provides the options 25/75, 50/50, and 75/25 which will divide the width of the panels in those proportions.

The context menu is only available when the panel layout is set to 2x1.

Drives access

The Drive Access controls provide a quick means of changing to another drive letter, the local network, and FTP sessions. The following controls are supported:

Buttons

The [ ] Buttons checkbox controls whether the Drive Access Buttons bars are displayed or not. The bars are located above each file panel.

The default value for this setting is "checked".

Lists

The [ ] List checkbox controls whether the Drive Access List bars are displayed or not. The lists are located above each file panel. These list are implemented as dropdown (combobox) lists.

The default value for this setting is "unchecked".

Disk size info

The Disk Size Info controls provide a means of displaying drive information The following controls are supported:

Text

The [ ] Text checkbox controls whether the Drive Size Text panel is displayed or not. The panel is located above each file panel and displays the disk size and amount of free space left on the drive.

The default value for this setting is "checked".

Graphics

The [ ] Graphics checkbox controls whether the Drive Size Graphics panel is displayed or not. The panel is located above each file panel and displays a progress type control showing the amount of space being used and the amount of free space.

The bar graphic will be displayed in an alternate color whenever the free space drops below 10% of the total capacity of the drive. See the section Configuration/Fonts and Colors for details on setting the colors used to display this bar.

Hovering the mouse cursor above this control shows the same information as in the Disk Size Text above.

The default value for this setting is "unchecked".

Show in one line

The [ ] Show in one line checkbox controls the display of the drive size panel when both the [ ] Text and [ ] Graphics checkboxes are selected. If this control is unchecked then the text and graphics information are displayed on separate lines. If this control is checked then the text and graphics information is displayed on a single line with the text information displayed in front of the graphics bar.

Show path panels

The [ ] Show Path Panels checkbox controls whether the Path Panels are displayed or not. The panels are displayed above each file panel. The Path Panels are use to display the current path for the current tab in the corresponding file panel. They can also be used to quickly change folders. See the section Changing Drives and Folders for more information.

The default value for this setting is "checked".

Show information bars

The [ ] Show Information Bars checkbox controls whether the Information Panels are displayed or not. The panels are displayed below each file panel. The Information Panels are use to display the folder and file information relating to their corresponding file panel. The total number of folders and number of selected folders is displayed. The total number of files and the number of selected files is also displayed. Finally the amount of space consumed by the number of selected files (not folders) is also displayed.

The default value for this setting is "checked".

Show command line

The [ ] Show Command Line checkbox controls whether the Command Line Panel is displayed or not. The panel is displayed near the bottom of the main window. The Command Line panel is used to manually enter and execute Window's console (cmd.exe) commands.

Typing displayable characters in a file panel will redirect the input to the Command Line edit control. If the Command Line panel is hidden then it will automatically be displayed temporarily until the command is executed or aborted.

The default value for this setting is "checked".

Show NC style function toolbar

The [ ] Show NC Style Function Toolbar checkbox controls whether the Function Toolbar panel is displayed or not. The panel is displayed near the bottom of the main window. The Function Toolbar panel lists some common commands and their shortcuts. It can also be used as a button bar to click on and execute commands.

The default value for this setting is "checked".

Show status bar

The [ ] Show Status Bar checkbox controls whether the Status Bar panel is displayed or not. The panel is displayed at the bottom of the main window. The Status Bar displays a variety of information during some Just Manager operations.

The default value for this setting is "unchecked".

Use visual styles

The [ ] Use Visual Styles checkbox is used to control how some of the program's main window is displayed. When this control is checked then some of the elements of the main program window will be displayed using Window's appearance configuration and most of the settings in the Configuration/Fonts And Colors page will not be used.

When this control is unchecked all of the settings in the Configuration/Fonts And Colors page will be applied.

This setting affects the Main Menu Toolbar and the Main Toolbar.

IMPORTANT. If you change this setting the change will not be applied until the next time Just Manager is started. It is recommended that if you are in the midst of configuring the look and feel of the program that you exit and restart Just Manager if you are going to be modifying items in the Fonts and Colors page in order that you properly see the effects of the changes that you are making.

The default value of this setting is "checked".


Display Settings Page

Display

The Display Settings page contains controls used to define how some of the main window elements are displayed.

The following controls are defined:

Show hidden files

The [ ] Show Hidden Files checkbox control is used to control whether hidden files are displayed in Just Manager on a global basis. When this control is checked then files with the hidden attribute set are displayed. When this control in unchecked then no files with the hidden attribute set are displayed.

The default value for this control is "checked".

Show system files

The [ ] Show System Files checkbox control is used to control whether system files are displayed in Just Manager on a global basis. When this control is checked then files with the system attribute set are displayed. When this control in unchecked then no files with the system attribute set are displayed.

The default value for this control is "checked".

Hide file extensions

The [ ] Hide File Extensions checkbox control is used to control whether file extensions are displayed in Just Manager on a global basis. When this control is unchecked then file extensions are displayed along with the file names. When this control is checked then file names are displayed without the file extensions.

The default value for this control is "unchecked".

Hide folder info in Type column

The [ ] Hide Folder Info in Type Column checkbox control is used to control whether the tag "folder" is displayed in the Type column for folders/ When this control is checked the tag appears. When it is unchecked then the field is blank.

The default value for this control is "unchecked".

Show extension when name is empty

The Show Extension When Name Is Empty setting, when checked, will override the Hide File Extension setting if the file name is null.

The default value for this setting is "unchecked".

Size format

The Size Format control is used to select how folder and file sizes are displayed in Just Manager. The following options are supported:

Auto (B/KB/MB/GB/TB)

This setting will display the size in a variable format. The size will be listed with a number followed by the appropriate abbreviation for the size. Items smaller than 1 kilobyte will be displayed in bytes, at least 1 kilobyte but less than 1 megabyte will be displayed in kilobytes, at least 1 megabyte but smaller than 1 gigabyte will be displayed in megabytes, at least 1 gigabyte but less than 1 terabyte will be displayed in gigabytes, and 1 terabyte or later will be displayed in terabytes.

Items displayed in kilobytes, megabytes, gigabytes, and terabytes are listed using a decimal format showing tenths and showing the base abbreviation (B, KB, MB, GB, and TB).

Bytes

This setting will display all sizes in bytes.

Kilobytes

This setting will display all sizes in kilobytes. All items are displayed showing tenths of a kilobyte.

The default value for this setting is "Auto (B/KB/MB/GB/TB)".

Show size units

The [ ] Show Size Units control is used to specify whether the units for file sizes displayed in the file panels is displayed. When checked the units are displayed as defined by the Size Format above.

The default for this control is "checked".

Date and time format

The Date And Time Format control is used to select how dates and times will be displayed in Just Manager. The edit control allows selecting a predefined value from the dropdown list or manually entering a user defined format. User defined format string support the following macros:

Macro | Display Results
y | One digit year
yy | Two digit year
yyy | Three digit year
yyy | Four digit year
M | One/two digit month
MM | Two digit month (with leading "0")
MMM | Month name (3 character abbreviation)
MMMM | Month name (full)
d | One/two digit day of month
dd | Two digit day of month (with leading "0")
ddd | Day of week name (3 character abbreviation)
dddd | Day of week name (full)
h | One/two digit hour (12 hour format)
hh | Two digit hour (12 hour format with leading "0")
H | One/two digit hour (24 hour format)
HH | Two digit hout (24 hour format with leading "0")
m | One/two digit minutes
mm | Two digit minutes (with leading "0")
s | One/two digit seconds
ss | Two digit seconds (with leading "0")
t | One letter am/pm indicator (A/P)
tt | Two letter am/pm indicator (AM/PM)

Symbol characters can also be included in the string for formatting purposes.

A special predefined value is "System", This setting will display date and time information using Window's date and time formatting.

The default value for this setting is "System"

Use Natural Sorting

The [ ] Use Natural Sorting control will select between a;phanumeric and natural sorting. In alphanumeric sorting we will have: 1 10 11 12 2 20 21 22 3 4 5 order for file names that starts with number, in natural sorting it will be: 1 2 3 4 5 10 11 12 20 21 22.

The dafault value for this setting is "unchecked" (alphanumeric).

Icon search mode

The Icon Search Mode setting controls how Just Manager deals with the icons for files and folders displayed in the File Panels. The setting controls which Windows APIs are used. Two options are available:

SHGetFileInfo

This API method is the faster of the two methods. It is however less accurate in that it does not return some icon overlays.

IShellIcon

This API method is slower but is much truer to what is displayed in Windows Explorer.

Under normal circumstances it is suggested that the IShellIcon option be used (although it is not the default) unless you are on a slower computer and are often accessing folders with unusually large numbers of files and folders.

The default value for this setting is "SHGetFileInfo".


Ignore List Sttings Page

Ignore list

The Ignore List Settings page contains a list of folders and files that will be hidden by Just Manager.

List format

The Ignore list consist of a list of zero or more items. Each item in the list must be on its own line. Blank lines are ignored. Items in the list may be of one of two formats:

Absolute items

Absolute items are a complete file or folder path. They consist of a drive, a path, and a file or folder name. An example of an absolute item would be:

C:\Temp

Absolute items must match the file or folder name exactly (except that they are case insensative). Wildcard characters are not supported. The item must not be enclosed in double quotes.

Absolute items only match files and folders that have the matching drive and path.

Immediate items

Immediate items are just a file or folder ame. They may not include a drive or path. An example of an immediate item would be:

Temp

Immediate items must match the file or folder name exactly (except that they are case insensative). Wildcard characters are not supported.

Immediate items match files or folders on any drive and in any folder provided the name matches exactly (except that they are case insensative). Wildcard characters are not supported. The item must not be enclosed in double quotes.

Editing the list

The edit the ignore list simply lefy click anywhere within the list editbox. Editing is performed using standard keyboard commands (like cursor keys, backspace, delete, etc) and higlighting characters and words with the mouse.


Folder View Profiles Settings Page

Folder View Profiles

The Folder View Profiles settings page allows for the customization of which folder view is used by default. Normally the folder view that is used is the current folder view. The Profiles allow for automatic switching to a user specified view whenever a specific folder is opened.

One Profile is required for each folder that you wish to customize, The following controls are used:

Profile List

The Profile List displays all Folder View Profiles. Profiles may be selected in order to edit or delete them.

Add

The Add button is used to add a new Folder View Profile to the Profile List. A dialog is displayed allowing the profile to be defined,

The following controls are provided:

Path

The Path editbox is used to enter the exact full path (drive:\path\folder) of the folder to apply the profile to. The path is case insensitive but may not contain wildcard characters. A browse button is supplied to allow browsing for the folder.

Panel view

The Panel View combobox control allows selecting how the folder will be displayed. The options are Icons, Details, Small icons, List, Tile, and Thumbnails.

Please see the corresponding sections for information on the various display formats.

Sort by

The Sort By combobox control allows selecting the method by which the folders and files within the file panel are sorted. The options are Name, Type, Created, Accessed, Modified, Size, and Attributes

Sort order

The Sort Order combobox control allows selecting whether the sort order of the folders and files in the file panel are sorted in Ascending or Descending order.

Edit

The Edit button will edit the currently selected profile in the Profile List. The same dialog is used as in the Add command above.

Delete

The Delete button will delete the currently selected profile in the Profile List. No confirmation is required.


Fonts and Colors Settings Page

Fonts and colors

The Fonts and Colors settings page is split into two tabs. The Fonts and Colors tab which controls all of Just Manager's main window elements and the Color File Filters tab which controls how folders and files are displayed withing the file panels.

Fonts and colors

The Fonts and Colors tab contains controls used to define how the main window elements are displayed.

IMPORTANT. These settings will have no effect on the some elements of the display when the [ ] Use Visual Styles setting in Configuration/View is checked when specified.

The following controls are shared by many Fonts And Folder Items List which is used to select the item to configure.

Color

The Color setting controls the background color of the selected item in the Items List. This setting is not available for all of the items.

Font

The Font setting controls the font (and it's properties) of the selected item in the Items List. This setting is not available for all of the items.

Text Color

The Text Color setting controls the text color of the selected item in the Items List. This setting is not available for all of the items.

The following settings are defined in the Fonts And Folders Item List:

Main window

The Main Window setting is used to change the background color of many of the Main Window Elements. The background color setting effects the following controls: Main Menu Toolbar, Main Toolbar, Drive Access Buttons, Drive Access Lists, Disk Size Text, Disk Size Graphic, Path Panels, File Panels, Command Line, and Function Toolbar.

Some of these elements only have their borders affected by this setting.

The Main Menu Toolbar and Main Toolbar elements are only affected if the Use Visual Styles setting is unchecked.

Main menu toolbar

The Main Menu Toolbar settings are used to set the font and text color for the Main Menu Toolbar. The background color for this element is set using the Main Window setting (see above).

Selection

The Selection setting is used to set the text and background color of the selected item in the Main Menu Toolbar. The font used is the same as the Main Menu Toolbar.

Navigation panel

The Navigation Panel setting is used to set the font, text color, and background color for the Navigation Panel.

Group

The Group setting is used to set the font, text color, background color, and 2nd background color that is used to display the navigation group headings on the Navigation Panel. The background and 2nd color form a gradient.

Drives toolbar

The Drives Toolbar setting is used to set the font and text color used in displaying the Drives Access Buttons bar. The background color of this element is set using the Main Window setting (see above).

Drives list

The Drives List setting is used to set the font for the Drive Access List elements.

Elements

The Elements setting is used to set the text and background colors used in the list that displays the available drive choices.

Selection

The Selection setting is used to set the text and background colors used by the selected entry in the list that displays the available drive choices.

The background color (used for the border sections) of this element is set using the Main Window setting (see above).

Disk size bar

The Disk Size Bar setting does not contain any settings itself. The following settings are available within this group:

Text

The Text setting is used to set the font and text color used to display the size and free space available in the Disk Size Text control. The background color is set using the Main Window setting (above).

Graphics

The Graphics setting does not contain any settings itself. The following settings are available within this group:

Simple

The Simple setting is used to set the color that the Disk Size Graphic uses to display the ratio of disk size to used space.

Little disk space

The Little Disk Space setting is used to set the color that the Disk Size Graphic uses to display the ration of disk size to used space when the amount of free space drops to less than 10% of the size of the drive.

Tabs

The Tabs setting is used to set the font that is used to display the text in the Tabs for the file panels. The following additional settings are available:

Active

The Active setting is used to control the text and background colors used in the file panel Tabs to display the active tab.

Inactive

The Inactive setting is used to control the text and background colors used in the file panel Tabs to display inactive tabs.

Note that the Tab settings have no effect when the Configuration/Tabs/Use System Colors For Tabs setting is checked.

Paths

The Paths setting is used to set the font used to display the information in the Path Panels.

Focused

The Focused setting is used to set the text and background colors used to display the Path Panel for the active file panel.

Simple

The Simple setting is used to display the text and background colors used to display the Path Panel for the inactive file panels.

Selection

The Selection setting is used to set the text and background colors used to display the selected part of the path displayed in the Path Panel. Selecting text in the Path Panels is achieved by hovering the cursor over a portion of the displayed path text. Clicking on the text will switch the folder of the associated file panel to the selected folder.

Panels

The Panels setting is used to set the font used to display the folders and files listed in the file panels. The font can be overridden for individual file groups using the Defining Color File Filters (see below).

Elements

The Elements setting is used to set the default text and background colors used to display the folders and files listed in the file panels. These colors can be overridden for individual file groups using the Defining Color File Filters (see below).

Even elements

The Even Elements setting is used to set the default text and background colors used to display the folders and files listed on even line numbers in the file panels. These colors can be overridden for individual file groups using the Defining Color File Filters (see below).

Note that the background color for the even elements will not be overridden unless the [ ] Use Background Color control in the Color File Filters is checked.

Also note that this control has no effect unless the [ ] Configuration/Panels/Use Personal Color For Even Rows control is checked.

Focused selection

The Focused Selection setting is used to set the text and background colors used to display selected folders and files in the active file panel.

Selection

The Selection setting is used to set the text and background colors used to display selected folders and files in the inactive file panels.

Information bar

The Information Bar settings are used to set the font, text and background colors used to display the Information Bar Panels.

Command line

The Command Line setting does not actually contain any settings. The following settings are available within the group:

Path

The Path setting is used to set the font and text color used to display the Command Line panel.

The background color is set using the Main Window setting (see above).

The edit control part of the command line cannot be customized.

Function keys toolbar

The Function Keys Toolbar settings are used to set the font, text, and background colors used to display the Function Toolbar.

Color file filters

The Color File Filters tab controls are used to specify how folder and file information is displayed in the file panels.

Due to the amount of information this topic is covered in it's own section. See the section Defining Color File Filters for details.


Main Menu Settings Page

Main Menu

The Main Menu Settings page contains controls to customize the Main Menu and the Main Menu Toolbar. The Main Menu is completely customizable. You can add, edit, or remove any of the main submenus, add submenus within other submenus, add, edit, move or remove any of the built in Just Manager commands, and even add your own custom commands using external programs.

Main Menu Elements

The Main Menu consists of four types of elements:

The Main Menu Root

The Main Menu Root element is the anchor point for the Main Menu. It is not in itself displayed and therefore does not have a title. The Main Menu Root can contain submenus and menu items which are displayed horizontally across the width of the menu.

Submenus

The Submenu element is just as it sounds. It is a menu within the Main Menu. The submenu may contain menu items, separators, and other submenus.

Menu Items

The Menu Item element contains commands that will be executed. The commands can be either internal Just Manager commands or custom external commands. Menu items cannot contain any other items.

Separators

Separator elements are purely for aesthetic reasons. They allow placing horizontal separators between elements contained in a submenu. Separators cannot contain any other items.

Command Interface

The command interface for editing the Main Menu is through the use of context menus (right click menus). The following context menus are available:

Main Menu Root

The Main Menu Root context menu contains the following commands:

Add

Submenu

The Submenu context menu contains the following commands:

Add
Edit
Separator
Remove

Menu Item

The Menu Item context menu contains the following commands:

Edit
Remove

Separator

The Separator context menu contains the following commands:

Remove

Commands

The following context menu commands are supported:

Add

The Add command will append a new submenu or menu item to the end of the Main Menu Root or another Submenu. See below for details on using this command.

Edit

The Edit command will edit the current Submenu entry or Main Menu Item. See below for details on using this command.

Separator

The Separator command will append a new separator to the end of the current Submenu.

Remove

The Remove command is used to delete a Submenu, a Main Menu Item, or a Separator. No confirmation is requested.

Add/Edit

The Menu Item Setup dialog is displayed. The dialog is used to add or edit menu elements.

The following controls are used:

Common Controls

These controls are shared between the various menu elements that are being added or edited:

Type

The Type dropdown control is used to specify the type of menu element being added. The two types of menu elements are Submenus and Menu Items (commands). See below for information on the controls for each of these menu elements.

Name

The Name control is used to specify the text that is displayed in the menu for the element being added or edited.

Command

The Command sections are two separate sections for each of the two types of menus item commands. The two types of commands are standard and custom (see below).

Submenus

When Submenu is selected in the Type control then the dialog is shrunk down.

Only the Name control is used in defining the Submenu element.

Standard Commands

The Standard Commands are the Just Manager internal commands. For descriptions on the various commands see the section Just Manager Commands .

Custom Commands

Just Manager supports extending it's functionality through the use of custom commands. These commands are implemented through the use of user supplied applications and utilities

You can add file comparison tools, hex editors, or whatever other tools you like to use.

Custom Commands can also be used as a convenient launcher for your favorite applications such as browsers, email tools, etc. For a list of commands to launch common Windows tools see the section Common Windows Tools Command Lines.

The following controls are used to define a custom command:

Command

The Command editbox is used to specify the name of the program or file to execute. Since the Windows Shell is used to execute the file it need not be an executable (.exe).

If you are running in a portable environment then the path to the command should be a relative path. See the section Portability Issues for more information.

Browse

The Browse button can be used to browse/search for the external command file. The standard Windows Open dialog is used to search.

Parameters

The Parameters editbox is used to specify any command line parameters that you wish to send to the external program. The parameters can contain the following macros (examples are based on the filename "C:\My Root\My Folder\My File.Filler.My Ext"):

%DRIVE%

The %DRIVE% macro specifies the drive letter (no colon or backslash).

Example: C

%PATH%

The %PATH% macro specifies the path portion of the file parameter. This includes the drive and colon and all path components up to (but not including) the last backslash character.

Example: C:\My Root\My Folder

%FILE%

The %FILE% macro specifies the filename portion of the file parameter. The parameter starts after the last backslash character up to but not including the last period character.

Example: My File.Filter

%EXT%

The %EXT% macro specifies the file extension consists of all characters after the last period character.

Example: My Ext

%FULL%

The %FULL% macro specifies the complete file parameter enclosed in double quote characters.

Example: "My Root\My Folder\My File.Filler.My Ext"

%ALL%

The %ALL% macro is similar to the %FULL% macro except that instead of specifying just the focused file in the current tab of the active file panel, all selected files are passed. Each file is specified using it's complete path and is enclosed in double quote characters. Each file specification is separated by a space.

Path

The Path editbox is used to specify the starting directory/folder where the custom command will be executed from.

As with the command itself, use relative paths when running in a portable environment.

Run As

The Run As checkbox control is used to specify that the command should be run with administrator privileges. If unchecked then the program is run in normal user mode.

Mode

The Mode dropdown control is used to specify the display mode that the custom command will be launched in. This may be set to Normal, Minimized, or Maximized.

Note that some programs will override this setting.

Reordering Menu Elements

Reordering the Main Menu is accomplished via drag and drop. To move an item left click and hold on an item. Drag the item to it's new location, a line shows where the item will be moved to, and then drop the item in it's new location.

Reset

The [Reset] button is used to reset the Main Menu back to it's default values. No confirmation is required.


Tabs Settings Page

 Tabs

The Tabs Settings page contains controls used to define the behavior of the tabs at the top of each file panel. The following controls are defined:

Show tabs when there is only one tab

The [ ] Show Tabs When There Is Only One Tab checkbox controls if the tabs are displayed when there is only one tab for a file panel. If the control is checked then tabs are always displayed. If the control is unchecked then the Tab Bar will not be displayed for file panels that only have one tab.

The defaults value for this setting is "unchecked".

Use multiline tabs

The [ ] Use Multiline Tabs control specifies whether all tabs will be displayed in a single line or if space is needed new lines of tabs will be added.

When this control is unchecked and the width of the tabs exceed the width of the file panel with which they are associated then only the number of tabs that fit in the width of the associated file panel will be displayed. A left and right pair of button controls will be displayed at the right end of the tabs to allow maneuvering through the list.

The default value for this setting is "unchecked".

Double-click closes the tab

The [ ] Double-Click Closes The Tab checkbox controls whether or not double left clicking on a tab will close that tab or not. When checked this setting will allow double left clicks on a tab to close that tab. When unchecked tabs must be closed using the Delete Tab command.

The default value for this setting is "checked".

All tabs the same width

The [ ] All Tabs The Same Width checkbox controls whether each tab is the width of it's name (display text) or whether all tabs are of equal width. When this setting is checked then all tabs for each individual file panel are of equal width.
The tabs split up the width of the associated file panel equally. If two tabs are open in a particular file panel then each of the two tabs will be 1/2 the width of the file panel. If five tabs are open then each tab will be allocated 1/5 the width of the file panel. The tab name will be centered or truncated as need to fit in the tab space.

The default value of this setting is "unchecked".

Min tab width (px)

The Min Tab Width setting controls the minimum tab width in pixels. This value can be in the range of "10" to "1000". When unchecked the minimum value is not enforced.

The default value for this setting is "42".

Max tab width (px)

The Max Tab Width setting controls the maximum tab width in pixels. This value can be in the range of "10" to "1000". When unchecked the maximum value is unenforced.

The default value for this setting is "100".

Use system colors for tabs

The [ ] Use System Colors For Tabs checkbox controls whether to use the Window's system colors for rendering the tabs or to use the user defined colors.

When this setting is checked Just Manager will use the Windows's system wide color scheme. When it is unchecked the program will use the tab colors defined in Configuration/Fonts And Colors settings values.

The default for this setting is "checked".

Close unlocked tabs on exit

The [ ] Close Unlocked Tabs On Exit setting, when checked, will cause all unlocked tabs to automatically be closed whenever Just Manager is exited.

As with the Delete All Tabs command, at least one tab will remain open.

The default value for this setting is "unchecked".

Reset Locked (nav allowed) tabs on selection change

The [ ] Reset Locked (nav allowed) tabs on selection change setting, when checked, will cause the locked tab, on reselection after another tab has been selected, to return to the folder that was selected when the tab was initially locked. If unchecked the tab simply retains the tab name from when it was locked.

The default value for this setting is "checked".

Locked Tabs

The Locked Tabs section controls how locked tabs are displayed (globally) in Just Manager.

Show lock icons

The ( ) Show Lock Icons radio control, when selected, will cause the lock icon to be displayed to the left of the tab name when the tab is locked.

Show lock symbol

The ( ) Show Lock Symbol radio control, when selected, will cause the character defined in the associated editbox to be prepended to the tab name when the tab is locked.

The default setting for this control is (*) Show Lock Icons.


Panels Settings Page

Panels

The Panels Settings page contains controls used to define the general appearance of the file panels. The following controls are defined:

Use Explorer style listview

The [ ] Use Explorer Style Listview checkbox controls whether the Windows Vista Explorer style of listview is used. When the control is checked the listview is used.

In Details View the separator lined between the headers is extended down through the file panel. Hot tracking is also performed where a "ghost" like selection line is moved through the list and follows the cursor.

The default value for this setting is "checked".

Use personal color for even row

The [ ] Use Personal Color For Even Row checkbox controls Just Managers even row display feature. When this control is checked Just Manager will display the folders and files listed in the even numbered rows of the file panels using the colors specified in the Configuration/Fonts And Colors/Panels/Even Elements controls. When the control is unchecked all lines are displayed using the fonts and colors specified in the Configuration/Fonts And Colors/Panels settings area.

The default value for this setting is "unchecked".

Transparent selection

The [ ] Transparent Selection checkbox controls how items are displayed in file panels when they are selected. When this control is checked Just Manager will not use the configured highlight color to show the selected status. The selected items will still be shown with the configured text color. When the control is unchecked then the highlight color will be used.

The default value for this setting is "unchecked".

Show grid

The [ ] Show Grid checkbox controls whether grids are displayed in all file panels or not. The grids are a series of horizontal and vertical lines. Horizontal lines are displayed between every item displayed in the file panel. Vertical lines are displayed following the detail fields.

Grids are only visible when a file panel is in Detail View Mode.

The default value for this setting is "unchecked".

Adjust columns to panel width

The [ ] Adjust Columns to Panel Width control, when checked, will automatically resize the columns in file panels whenever the width of the panel is changed.

The default value is "unchecked".

Automatic AutoSize

The [ ] Automatic AutoSize control, when checked, will autosize the File Panel column widths automatically every time the path of a File Panel is changed. See the section Customizing the Details View for more information.

The default value for this setting is "unchecked".

Synchronization: one detail view settings for all panels

The [ ] Synchronization: One Detail View Settings For All Panels checkbox controls how the Details View Mode is treated among file panels.

When this control is checked modifying the display settings for one file panel affects all file panels. This includes setting field widths and which fields are displayed and their alignment.

Note that all tabs in a file panel share the same details view settings.

When this control is unchecked then each file panel's settings are maintained separately.

This setting only affects file panels when they are displaying data in details mode.

The default value for this setting is "unchecked"

One click activate

The [ ] One Click Activate setting, when enabled, will allow single click access within File Panels. This will allow the currently active/selected entry in the File Panel to floow the mouse cursor (with a slight delay). Folders can be switched to by single clicking on them. Files can be opened with their default application, or executed in the event of an executable, also with a single left click.

When this setting is disabled then the normal process of single left clicking to change focus and double clicking to open the entry is used..

The default value for this setting is "unchecked".

NC style selection (Ins key; right mouse button)

The [ ] NC Style Selection setting, when enabled, will allow Norton Commander style of selecting items in the file panels. When this option is enabled you select items either with the [Insert] key or by right clicking with the mouse (see below).

The default value for this setting is unchecked.

Right mouse button selection

The [ ] Right Mouse Button Selection option, when enabled as part of the NC Style Selection, will allow you to select and deselect items in the File Panels with the right mouse button.

When this mode is enabled, the context menu for items in the file panels can only be accesssed by pressing the [Menu] key on the keyboard.

The default value for this setting is "unchecked".

Remove selection on click

The Remove Selection On Click setting controls what happens when left clicking in a File Panel and running with NC Style enabled. When this setting is checked then all selections will be cleared when left clicking.

The default value for this setting is "unchecked".

Go to the next item when using SelectItem command

The [ ] Go To Next Item When Using SelectItem Command checkbox controls how Just Manager will react when the Select Item command is invoked. When checked Just Manage will automatically move the focus to the next item in the list after the item has been selected. When unchecked the focus will remain on the current item.

The dafault value for this setting is "checked".


Navigation Settings Page

Navigation

The Navigation Settings page contains configuration settings which control the behavior of Just Manager when navigating through drives and folders.

The following settings are supported on the Navigation Settings page:

Check all paths on startup

The Check All Paths On Startup setting controls how Just Manager deals with the paths of all of the open tabs being restored from the previous session when Just Manager is launched. If checked then Just Managerwill verify all tab paths when launched and any invalid paths (for instance the path of a USB drive which is no longer connected) will be switched to the deafault path (usually C:\).

If this control is unchecked then Just Manager will not check the path of a tab until the tab is selected.

The default value of the setting is "checked".

Show navigation progress

The [ ] Show Navigation Progress setting, when checked, will cause Just Manager to display a progress indicator at the top of the active File Panel whenever the folder or drive is changed within that File Panel.

The default value for this setting is "checked".

Open root folder on drive selection

The [ ] Open Root Folder On Drive Selection checkbox is used to control what folder is displayed when a drive is selected. If this control is checked then Just Manager will change to the root folder of the drive before displaying the folder data in the File Panel. If the control is unchecked then Just Manager will use the last accessed folder for the drive.

The default value for this setting is "checked".

Follow symbolic links

The [ ] Follow Symbolic Links checkbox controls what happens when opening Window's reparse points. If this control is unchecked then double left clicking on a reparse point will produce an access error. This is the default Window's behavior as technically reparse points do not contain any data.

If the control is checked and the reparse point is currently symbolically linked to another folder, drive, or disk partition then the link will be followed.

Note that when following symbolic links that using the Go Up commands will switch to the actual parent folder and not back to the folder containing the reparse point. Use the Backwards command to return to the folder containing the reparse point.

The default value for this setting is "checked".

History list length

The History List Length up/down control is used to set the size of all history lists maintained by Just Manager. Just Manager maintains histories for File Panel paths, search criteria, multi rename rules, and others throughout the program. All histories share the same size limit.

The default value for this setting is "10".

Open selectiond in nearest panel

This group of settings are used to control the behavior of the "Open Selected in Nearest Panel" command. The following controls are defined:

Open in new tab

The [ ] Open in New Tab setting, when checked, will cause a new tab to be created when the command is executed. If unchecked then the folder is opened in the currently active tab of the nearest panel.

The default value for this setting is "unchecked".

Move Focus

The [ ] Move Focus setting, when checked, will cause the focus to change to the selected panel once the folder has been opened. If unchecked then the focus will remain in the currently active file panel.

The default value for this setting is "unchecked".


Startup Folders Settings Page

Startup folders

The Startup Folders Settings page controls which folders are displayed by Just Manager when the program first loads.

The page contains an editbox for each file panel page. The number of edit boxes will varry between one and sixteen depending on the number of file panels that are configured. See the Panels Layout topic in the View Sttings Page section for more information.

Each path must be specified as an absolute path containing the drive, path, and folder name. The editboxes specify the starting path for each of the file panels.. You can use the [...] buttons to browse for a folder or you can simply type them in manually.

Just Managers default behavior, if no startup folders are specified, is to start with the folders for each tab and file panel as when Just Manager was last closed. If a startup folder is specified on this page then the specified folder will be used instead of the last used folder in the last active tab.

If a startup folder is left blank then it is ignored and the next path is used (so if the first path is left blank then the second path will be used for the first file panel).

Note that if command line parameters are specified when launching Just Manager then they will override these settings.


File Operations Settings Page

 File operations

The File Operations Settings page contains controls used to define the behavior of Just Manager's file operations. The following controls are defined:

Use shell

The [ ] Use Shell checkbox controls the interface used to perform all file operations. When this control is checked then the Window's Shell is used to perform the file operations. When the control is unchecked the standard Window's API functions are called.

The default value for this setting is "checked".

Parallel file operations

The [ ] Parallel file operations checkbox controls whether Just Manager will take advantage of multi-threaded technology when performing file operations. When checked multiple file operations can be executed simultaneously.

The default value for this setting is "unchecked".

Display copy confirmation

The [ ] Display Copy Confirmation checkbox is used to control whether Just Manager will prompt the user before executing a copy operation. When checked the program will ask for a confirmation before proceeding with the operation.

If the control is not checked then confirmations are only requested for overwrite operations.

The confirmation is requested for Drag And Drop and the Copy Command.

The default value for this setting is "checked".

Display move confirmation

The [ ] Display Move Confirmation checkbox is used to control whether Just Manager will prompt the user before executing a move operation. When checked the program will ask for a confirmation before proceeding with the operation.

If the control is not checked then confirmations are only requested for overwrite operations.

The confirmation is requested for Drag And Drop and the Move Command.

The default value for this setting is "checked".

Display delete confirmation

The [ ] Display Delete Confirmation checkbox is used to control whether Just Manager will prompt the user before executing a delete operation. When checked the program will ask for a confirmation before proceeding with the operation.

If the control is not checked then confirmations are not requested.

The confirmation is requested for the commands Delete From Disk and Delete To Recycle Bin.

The default value for this setting is "checked".

Show file operations toolbar

The [ ] Show File Operations Toolbar checkbox controls whether the File Operations Toolbar is displayed or not. When checked and the Use Shell setting is not checked (using internal Just Manager file operation functions) the toolbar will be displayed during file operations (copy, move, and rename). Each entry on the toolbar is a progress bar showing the progress for individual file operations. When unchecked the toolbar is not displayed.

The File Operations Toolbar supports a context menu for each item on the toolbar. You can perform any of the following operations:

Pause

The Pause command will pause the file operation for the specified file operation item. This can also be executed by left clicking on the toolbar item (toggles the pause state).

Resume

The Resume command will resume the file operation for the specified file operation item. This can also be executed by left clicking on the toolbar item (toggles the pause state).

Restore

The Restore command will open the dialog window for the specified file operation item. The Item will be removed from the toolbar. From the file operation dialog, pressing the Minimize button will close the dialog and return the item to the toolbar.

The Pause and restore functions are also available from the file operations dialog.

Note that when a file operation is paused that it will be displayed in a different color on the File Operations toolbar.

The default setting for this setting is "unchecked".

Select file extension when renaming

The [ ] Select File Extension When Renaming checkbox controls how the file name and extension are selected when renaming files (either using the File Rename command or by left clicking on a file entry in one of the file panels).

When this control is checked then the file name and extension will both be completely selected when renaming files. If the control is unchecked then only the file name will be selected (although the extension can still be renamed using the cursor keys).

The default value for this setting is "unchecked".

Open new file in editor

The [ ] Open New File In Editor checkbox controls what Just Manager does when executing the Create File command. When checked Just Manager will open the file in the associated editor, see the View/Edit section for setting the associated editor for each file type, immediately after the empty file is created. When unchecked then Just Manager will simply create the empty file an then take no further action.

The default value for this setting is "checked".


Quick Search Settings Page

Quick search (filter)

The Quick Search And Filter Settings page contains controls used to define the behavior of the Quick Search feature.

The following controls are defined:

Type

The Type controls are used to define the default action to be used when the Quick Search feature is activated. See the section Using Quick Search for details on using this program feature.

Search

When the ( ) Search radio button is selected then the Quick Search feature will default to searches. See the section Using Quick Search/Search for details on using the search feature.

The default setting for this setting is "selected".

Filter

When the ( ) Filter radio button is selected then the Quick Search feature will default to filtering, See the section Using Quick Search/Filter for details on using the search feature.

The default value for this setting is "unselected".

Shortcut

The Shortcut controls are used to define the key combinations used to activate the Quick Search feature

Alt+Letter

When the ( ) Alt+Letter radio button is selected then typing a letter key while holding down the [Alt] key in a file panel will activate the Quick Search feature. You can continue to hold down the [Alt] key while typing the pattern (the [Alt] key is filtered out) or you can release the [Alt] key anytime after the feature is activated.

The defaults value for this setting is "selected".

Ctrl+Alt+Letter

When the ( ) Ctrl+Alt+Letter button is selected then typing a letter key while holding down both the [Ctrl] and [Alt] keys in a file panel will activate the Quick Search feature. You can continue to hold down the [Ctrl] and [Alt] keys while typing the pattern (the keys are filtered out) or you can release the [Ctrl] and [Alt] keys anytime after the feature is activated.

The defaults value for this setting is "unselected".

Letter

When the ( ) Letter button is selected then typing a letter key will active the Quick Search feature. When selecting this option the automatic diversion of keystrokes to the Command Line panel is disabled.

The default value for this setting is "unselected".

Starts with filter

The [ ] Starts With Filter checkbox controls the behavior of the search and filter functions. When this control is checked then the search/filter requires that matching items "start with" the entered pattern. When unchecked the search/filter uses a "contains" pattern.

The default for this setting is :unchecked".


Command Line Settings Page

Command Line

The Command Line Settings page contains settings used to control the behavior of the Command Line panel.

The following settings are defined:

Save command history

The Save Command History setting controls whether a command line history is maintained or not. If this setting is checked then the command line history will be maintained and the user can access the history in the command line panel in order to reuse and re execute commands.

The default value for this setting is "checked".

Leave cmd window open

The Leave Cmd Window Open setting controls whether the console window is left open after executing the command entered from the Command Line panel.

If this setting is checked then the console window will remain open after execution. This allows for reading results in console commands that output information to standard output (sdtout).

The default value for this setting is "checked".

Go to command line by letter key

The [ ] Go To Command Line By Letter Key option, when checked, will cause Just Manager to automatically activate the Command Line whenever a letter key is pressed when a File Panel has focus.

Note that this setting will be overridden if the Quick Search Shortcut option is set to "Letter". The Quick Search command has precedence.

The default value for this setting is "checked".


View/Edit Settings Page

View/Edit

The View/Edit Settings page contains settings used to define the external viewers and editors that Just Manager uses. The programs can be customized by file extensions and attributes.

The following controls are defined:

Programs List

The Programs List listbox shows all of the defined viewer and editor settings. The following fields are defined within the listbox:

Filters

The Filters field shows the name of the filter. Double left clicking on an entry in this field will edit that entry. The following filter parameters are defined:

Filter name

The Filter Name specifies the name used to identify the filter. The name has no program function other than for human consumption in identifying the filter.

Attributes

The [ ] Attributes checkbox defines whether the state of a file's attributes is used to determine which programs are used to view and edit a file.

When this control is checked then the state of the file's attributes must match the attributes defined here. The attribute checkboxes are tri-state. When checked the file's corresponding attribute must be set in order to use the view and edit programs define in the filter.

When unchecked the file's corresponding attribute must be clear in order to use the view and edit programs defined in the filter.

When is the third state (don't care) the file's corresponding attribute is not considered.

Reset

The [Reset] button will set all of the attribute checkbox states back to the "don't care" state.

Extension

The Extension controls are used to define the extensions that must match that of file to be viewed or edited.

The extension consists of all character in the filename after the last "." character. Each extension must be entered separately as there is no support for separator characters. Wildcard characters are not supported. The extension must exactly match the extension of the file (the filter is not a "starts with" or "contains" mask. A special extension named "*" will match all file extensions.

Extension List

The Extension List shows all extensions that make up the filter, each listed as it's own entry. Extension entries can be deleted by selecting them and either pressing the [Del] key or right clicking on them and selecting "Remove" from the context menu.

Edit Control

The editbox is used to enter file extensions to be added to the extension list that make up the filter, Extension cannot be edited but they can be removed (see above).

Extensions should be added without the preceding '.' (period) character. Extensions can be added one at a time or multiple extensions can be added by seperating them with a ',' (comma) or ';' (semicolon) characters.

Add

The [Add] button will append the extension entered in the editbox to the end of the extension list.

A definition with no extensions defined will only match filenames without extensions (those that do not contain a "." characters).

OK

The [OK] button is used to accept the changes made to the filter. The filter will be added (or will replace the existing filter when editing).

Cancel

The [Cancel] button will abort the changes that were being made to a filter.

View

The View field shows the program to be used as the external viewer for the associated filter. Left clicking on an entry in this field will edit that entry. The following viewer parameters are defined:

Program

The Program editbox is used to specify the program to be used as the external viewer for the associated filter. You can manually enter (or edit an existing entry) with this control. Note that double quote characters are not required surrounding the program name.

If Just Manager is installed in Portable Mode then please refer to the section Portability Issues for information on maintaining portability with external programs.

Browse

The [Browse] button can be used to browse for the external viewer program. It will automatically be entered into the Program editbox.

Parameters

The Parameters editbox is used to specify any command line parameters that you wish to send to the viewer program.

See the Parameters section for the Edit program (below) for a list of macros that are supported in the Parameters field.

OK

The [OK] button is used to accept the changes to the viewer program settings for the associated filter.

Cancel

The [Cancel] button will abort the edit or add operation and discard the changes made to the viewer program settings.

Edit

The Edit field shows the program to be used as the external editor for the associated filter. Left clicking on an entry in this field will edit that entry. The following editor parameters are defined:

Program

The Program editbox is used to specify the program to be used as the external editor for the associated filter. You can manually enter (or edit an existing entry) with this control. Note that double quote characters are not required surrounding the program name.

If Just Manager is installed in Portable Mode then refer to the section Portability Issues for information on maintaining portability with external programs.

Browse

The [Browse] button can be used to browse for the external editor program. It will automatically be entered into the Program editbox.

Parameters

The Parameters editbox is used to specify any command line parameters that you wish to send to the editor program. The parameters can contain the following macros (examples are based on the filename "C:\My Root\My Folder\My File.Filler.My Ext"):

%DRIVE%

The %DRIVE% macro specifies the drive letter (no colon or backslash).

Example: C

%PATH%

The %PATH% macro specifies the path portion of the file parameter. This includes the drive and colon and all path components up to (but not including) the last backslash character.

Example: C:\My Root\My Folder

%FILE%

The %FILE% macro specifies the filename portion of the file parameter. The parameter starts after the last backslash character up to but not including the last period character.

Example: My File.Filter

%EXT%

The %EXT% macro specifies the file extension which are all characters after the last period character.

Example: My Ext

%FULL%

The %FULL% macro specifies the complete file parameter enclosed in double quote characters. This macro is the default parameter for viewers and editors.

Example: "My Root\My Folder\My File.Filler.My Ext"

OK

The [OK] button is used to accept the changes to the editor program settings for the associated filter.

Cancel

The [Cancel] button will abort the edit or add operation and discard the changes made to the editor program settings.

Add

The [Add] button is used to add a new filter/viewer/editor entry to the Program List. The new entry is appended to the end of the list. The Filter Entry edit dialog is automatically opened.

Edit

The [Edit] button is used to edit the Filter Entry of the currently selected item in the Program List. The results of the edit replace the currently selected item. This function can also be accomplished by double left clicking on the filter entry to be edited.

Clone

The [Clone] button is used to duplicate the currently selected viewer/editor definition. The new definition is inserted immediately above the currently selected definition. The focus is switched to the newly created entry and the entry is opened for editing.

Delete

The [Delete] button is used to delete the currently selected item in the Program List. No confirmation is requested.

Move Up

The [Move Up] button is used to move the currently selected item in the Program List up one step. Since the viewer or editor used to access the file is selected as the first matching item in the Program List the order can be important.

Move Down

The [Move Down] button is used to move the currently selected item in the Program List down one step. Since the viewer or editor used to access the file is selected as the first matching item in the Program List the order can be important.

The filter definitions in this section are processed in order and the first matching filer is used for the viewing and editing of files specified by the View and Edit commands.

Reset

The [Reset] button is used to reset the viewers and editors back to their factory default settings.


Quick Viewer Settings Page

Quick Viewer

The Quick Viewer Settings page contains controls used to control Just Manager's Quick Viewer. The following settings are supported on the Quick Viewer Settings page:

Max file size

The Max File Size setting is used to control files that are viewed in Quick Viewer. Files that exceed the size limit set by this control will be skipped and not displayed. The setting is provided for instances where you accidentally click on large non text files as the rich text edit control may take a while to display the file.

The default for this setting is 0K (which is disabled).

Word wrap

The Word Wrap settingsetting controls whether word wrap is enabled for Quick View mode. If checked the word wrap will be enabled. Note that some file formats like .html files automatically wrap regardless of this setting.

The default value for this setting is "unchecked".

Automatic image resizing

The Automatic Image Resizing checkbox controls whether images viewed using the Quick Viewer tool are resized for viewing. When this option is checked, images larger than the viewing display area are resized to fit the panel prior to being displayed. The aspect ratio of the image is preserved. Images are only resized at the instance of loading and are not dynamically resized if the Just Manager program window is subsequently resized.

The default value for this setting is "checked".


Favorites-System Folders Settings Page

Favorites/system folders

The Favorites/System Folders Settings page contains controls used to control how Just Manager displays the Folder Favorites and System Folders drop down menus.

The following controls are defined:

Show icons in menu

The Show Icons In Menu setting defines whether Just Manager will display icons in the drop down menus or just display text.

The default value for this setting is "unchecked".

Display real icons

The Display Real Icons setting controls what icons are used in the drop down menus. When this control is unchecked then a folder icon is displayed for each item in the menu. When checked a folder icon is displayed for each item in the menu unless a custom icon has been associated with the folder in question. Note that some special system folders (like the desktop) have custom icons already defined by the system.

The default value for this setting is "unchecked".


FTP Settings Page

FTP

The FTP Settings page contains controls used to control Just Manager's FTP client.. The following controls are defined:

Open New Connection

The Open New Connection setting defines the action Just Manager will take when a new FTP connection is established. The following options are available:

in current tab

If the In Current Tab option is selected then the newly opened FTP session will immediately be displayed in the current tab of the active file panel.

in new tab

If the In New Tab option is selected then the newly opened FTP session will immediately be displayed in a new tab in the active file panel.

don't open

If the In Don't Open option is selected then the newly opened FTP session will not be displayed, but will be available for use in the Drive Access Buttons, Drive Access Lists, and the Navigation Panel.

Open FTP manager at unsuccessful connection

The Open FTP Manager at Unsuccessful Connection setting controls what Just Manager will do in the event that an attempt to establish a FTP connection fails or is cancelled. When checked, Just Manager will automatically re-open the FTP Manager dialog if the connection fails or is cancelled.

The default value for this setting is "checked".

Keep-Alive ping interval (seconds)

The Keep-Alive Ping Interval setting defines the interval, in seconds, that Just Manager will ping the FTP host in order to keep the FTP connection alive. Without this ping the FTP host would timeout and terminate the FTP connection.


Shortcuts Settings Page

Shortcuts

The Shortcuts Settings page contains controls used to define Just Manager's keyboard shortcuts. The following controls are defined:

Shortcut List

The Shortcut List shows all of the active Shortcuts. It displays the Shortcut Command and the Keyboard Combination currently assigned to that command.

Left clicking on an entry will select that entry. Double left clicking on an entry will select that entry and set the Shortcut Command Dropdown and the Shortcut Key Combination controls to the contents of that entry.

Shortcut Command Dropdown List

The Shortcut Command Dropdown List control is used to select a Keyboard Shortcut command to be used in an add shortcut operation. All available Shortcut Commands are available in this list.

Shortcut Key Combination

The Shortcut Key Combination control is used to set the Key Combination for a command when adding or replacing a Keyboard Shortcut.

Left clicking in this control will allow you to edit this control's contents. Once the control has focus, Press the key combination you wish to assign to the command.

If the Key Combination is already assigned to another shortcut command then an error dialog will be displayed.

If the Key Combination is already assigned to a global shortcut by another program the contents of this field will be set to "None".

Add

The [Add] button is used to add a Keyboard Shortcut to the list of active Keyboard Shortcuts. The command to be added is specified in the Shortcut Command Dropdown List while the key combination is specified in the Shortcut Key Combination control.

Replace

The [Replace] button is used to replace the keyboard shortcut in the currently selected entry in the Shortcut List with the one contained in the Shortcut Key Combination control.

IMPORTANT. The contents of the Shortcut Command Dropdown List are not used by this command.

Delete

The [Delete] button is used to remove the currently selected keyboard shortcut from the Shortcut List. No confirmation is required.

IMPORTANT. This command does not use either the Shortcut Command Dropdown or the Shortcut Key Combination controls.

Reset

The [Reset] button is used to reset all keyboard shortcuts back to their factory defaults. No confirmation is required.

Note: Multiple shortcuts for the same command can be defined.


Defining Color File Filters

This section describes defining and using the Color File Filters feature of Just Manager. This feature allows the customization of how folders and files are displayed in the file panels based on a folder or file's attributes and/or file extension. The settings for this feature are contained in the Configuration/Fonts And Colors section. The following controls are defined:

Color file filters

The Color File Filters listbox shows all of the defined filters and their display settings. Left clicking on an item selects that item. The filter list is processed sequentially from top to bottom and the first filter that matches the folder or filename is used to control how that folder or file's information is displayed in a file panel.

The following fields are defined within the listbox:

Filter name

The Filter Name specifies the name used to identify the filter. Left clicking on the filter name will select that filter entry. Double left clicking on a filter name will edit the filter. A filter edit dialog is displayed and the following controls are used to define the filter.

Filter name

The Filter Name specifies the name used to identify the filter. The name has no program function other than for human consumption in identifying the filter.

Attributes

The [ ] Attributes checkbox defines whether the state of a file's attributes is used to determine which folder and file names match the filter.

When this control is checked the state of the file's attributes must match the attributes defined here. The attribute checkboxes are tri-state. When checked the file's corresponding attribute must be set in order to match the filter being defined.

When unchecked the file's corresponding attribute must be clear in order to match the filter being defined.

When is the third state (don't care) the file's corresponding attribute is not considered.

Reset

The [Reset] button will set all of the attribute checkbox states back to the "don't care" state.

Extension

The Extension controls are used to define the extensions that must match that of the folder or file name.

The extension consists of all character in the filename after the last "." character. Each extension must be entered separately as there is no support for separator characters. Wildcard characters are not supported. The extension must exactly match the extension of the folder or file (the filter is not a "starts with" or "contains" mask. A special extension named "*" will match all file extensions.

Extension List

The Extension List shows all extensions that make up the filter, each listed as it's own entry. Extension entries can be deleted by selecting them and either pressing the [Del] key or right clicking on them and selecting "Remove" from the context menu.

Edit Control

The editbox is used to enter file extensions to be added to the extension list that make up the filter, Extensions cannot be edited but they can be removed (see above).

Extensions should be added without the preceding '.' (period) character. Extensions can be added one at a time or multiple extensions can be added by seperating them with a ',' (comma) or ';' (semicolon) characters.

Add

The [Add] button will append the extension entered in the editbox to the end of the end of the extension list.

A definition with no extensions defined will match all folder and filenames (same as "*").

Date

The date group allows controlling the filter by means of the file/folder timestamps.

Type

The type control allows selecting which timestamp is being used in the filter. This may be set to the following values:

Created

This timestamp reflects when the file or folder was created.

Modified

This timestamp reflects the last time the file or folder was modified. This can either be when it was last written to or when it's attributes were changed.

Accessed

This timestamp reflects the last time the file or folder was modified or read.

Between

The between option allows for setting a date range for the filter.

Not older

The not older option allows for setting a range for how recent the file or folder timestamp reflects. As opposed to a fixed date this filter option allows for setting based on the number of seconds, minutes, hours, days, weeks, months, or years.

OK

The [OK] button is used to accept the changes made to the filter. The filter will be added (or will replace the existing filter when editing).

Cancel

The [Cancel] button will abort the changes that were being made to a filter.

Text

The text field is used to specify the text color that is used to display the folder or file that matches the filter file information. Left clicking on this field will display a standard Window's color selection dialog where the text color may be chosen.

Background

The Background field is used to specify the background color that is used to display the folder or file that matches the filter file information. Left clicking on this field will display a standard Window's color selection dialog where the background color may be chosen.

This filed only applies if the [ ] Use Background Color checkbox is checked (see below) otherwise the background color values set in Configuration/Fonts And Colors/Panels/Elements and Configuration/Fonts And Colors/Panels/Even Elements (if enabled) are used.

Font

The Font field is used to specify the font and font attributes that are used to display the folder or file that matches the filter file information. Left clicking on this field will display a standard Window's font selection dialog where the font and it's attributes may be chosen.

The following font information is used to display the folder or file's information: font, pointsize, and the attributes bold, italics, underline, and strikeout. The font color is not used.

Use background color

The [ ] Use Background Color checkbox is used to specify whether the background color specified in the Filter List will be used. If the control is checked then the background color specified in the Filter List will be used. If it is not checked then the colors specified in Configuration/Fonts And Colors/Panels/Elements and Configuration/Fonts And Colors/Panels/Even Elements (if enabled) are used.

Add

The [Add] button is used to add a new Color File Filter entry to the Filter List. The new entry is appended to the end of the list. The Filter Entry edit dialog is automatically opened.

Edit

The [Edit] button is used to edit the Color File Filter entry of the currently selected item in the Filter List. The results of the edit replaces the currently selected item. This function can also be accomplished by double left clicking on the filter entry to be edited.

Clone

The [Clone] button is used to duplicate the currently selected file filter. The new filter is inserted immediately above the currently selected filter. The focus is switched to the newly created filter and the filter is opened for editing.

Delete

The [Delete] button is used to delete the currently selected item in the Filter List. No confirmation is requested.

Move Up

The [Move Up] button is used the move the currently selected entry in the Filter List up one step. Since the filter used to display the folder or file's information is selected as the first matching filter in the Filter List the order can be important.

Move Down

The [Move Down] button is used the move the currently selected item in the Program List down one step. Since the filter used to display the folder or file's information is selected as the first matching filter in the Filter List the order can be important.

Reset

The [Reset] button is used to reset the color file filters back to their factory default settings.

An Example

This example demonstrates the flexibility of the Color File Filters feature. The example will display folders in blue and executable files in green. Furthermore, all symbolic links will be underlined. All system folders and files will be displayed in bold, and all read only folders and files are displayed in italics.

Note that the order of the filters in this instance is important because of the way the filters were defined

The following image shows the filters being defined:

Sample Filter Set

The following table shows the filter definitions. Note that attributes that are not listed are set to "don't care". Also the font settings in Configuration/Fonts and Colors/Panels has been set to "Tahoma" with a pointsize of "10".

Filter Name | Attributes | Extensions | Text Color | Font
Symbolic Links (+s +r) | [x] Reparse Point [x] System [x] Read Only | - | Blue | Tahoma 10 Bold Oblique (italic) Underline
Symbolic Links (+s) | [x] Reparse Point [x] System | - | Blue | Tahoma 10 Bold Underline
Symbolic Links (+r) | [x] Reparse Point [x] Read Only | - | Blue | Tahoma 10 Oblique (italic) Underline
Symbolic Links | [x] Reparse Point | - | Blue | Tahoma 10 Underline
Folders (+s +r) | [x] Directory [x] System [x] Read Only | - | Blue | Tahoma 10 Bold Oblique (italic)
Folders (+s) | [x] Directory [x] System | - | Blue | Tahoma 10 Bold
Folders (+r) | [x] Directory [x] Read Only | - | Blue | Tahoma 10 Oblique (italic)
Folders | [x] Directory | - | Blue | Tahoma 10
Executables (+s +r) | [x] System [x] Read Only | bat com exe | Dark Green | Tahoma 10 Bold Oblique (italic)
Executables (+s) | [x] System | bat com exe | Dark Green | Tahoma 10 Bold
Executables (+r) | [x] Read Only | bat com exe | Dark Green | Tahoma 10 Oblique (itralic)
Executables | - | bat com exe | Dark Green | Tahoma 10

The following image shows the results of the above filters using a sample "My Documents" folder view:

Filter Results View
Note that the filters can be made position independent by including [ ] Clear attribute changes as shown in the following table:

Filter Name | Attributes | Extensions | Text Color | Font
Symbolic Links (+s +r) | [x] Reparse Point [x] System [x] Read Only | - | Blue | Tahoma 10 Bold Oblique (italic) Underline
Symbolic Links (+s) | [x] Reparse Point [x] System [ ] Read Only | - | Blue | Tahoma 10 Bold Underline
Symbolic Links (+r) | [x] Reparse Point [ ] System [x] Read Only | - | Blue | Tahoma 10 Oblique (italic) Underline
Symbolic Links | [x] Reparse Point [ ] System [ ] Read Only | - | Blue | Tahoma 10 Underline
Folders (+s +r) | [ ] Reparse Point [x] Directory [x] System [x] Read Only | - | Blue | Tahoma 10 Bold Oblique (italic)
Folders (+s) | [ ] Reparse Point [x] Directory [x] System [ ] Read Only | - | Blue | Tahoma 10 Bold
Folders (+r) | [ ] Reparse Point [x] Directory [ ] System [x] Read Only | - | Blue | Tahoma 10 Oblique (italic)
Folders | [ ] Reparse Point [x] Directory [ ] System [ ] Read Only | - | Blue | Tahoma 10
Executables (+s +r) | [ ] Reparse Point [ ] Directory [x] System [x] Read Only | bat com exe | Dark Green | Tahoma 10 Bold Oblique (italic)
Executables (+s) | [ ] Reparse Point [ ] Directory [x] System [ ] Read Only | bat com exe | Dark Green | Tahoma 10 Bold
Executables (+r) | [ ] Reparse Point [ ] Directory [ ] System [x] Read Only | bat com exe | Dark Green | Tahoma 10 Oblique (itralic)
Executables | [ ] Reparse Point [ ] Directory [ ] System [ ] Read Only | bat com exe | Dark Green | Tahoma 10


Cutomizing the Main Toolbar

Customizing the Main Toolbar

In order to customize the Main Toolbar in Just Manager right click anywhere on the Main Toolbar. Right clicking on a toolbar button will edit the button. Right clicking on an area of the toolbar that does not contain a button will edit the entire toolbar. Select the Customize entry to enter the Customize Main Toolbar tool.

The following controls are used to customize the toolbar:

Current Toolbar Buttons

The Current Toolbar Buttons control list all of the buttons currently being displayed in the Main Toolbar. Left click on a button definition to select it. Only one button definition can be selected at a time.

Add

The [Add ] button will insert a new button before the currently selected toolbar item. See Add/Edit below for details.

Edit

The [Edit] button will edit the currently selected toolbar button. See Add/Edit below for details.

Delete

The [Delete] button will remove the currently selected toolbar button or separator from the toolbar. No confirmation is requested by the command.

Separator

Separators are a special toolbar item. They are used for aesthetic reasons to allow grouping of the buttons on the Main Toolbar. Separators are displayed as a horizontal bar.

Separators are not accessible by the user on the Main Toolbar.

Multiple separators are supported in the Main Toolbar.

The [Separator] button will insert a separator before the currently selected toolbar item.

Move Up

The [Move Up] button will move the selected toolbar button or separator in the Current Toolbar Buttons list up one entry. This button is not available when the first entry in the Current Toolbar Buttons list is selected.

Move Down

The [Move Down] button will move the selected toolbar button or separator in the Current Toolbar Buttons list down one entry. This button is not available when the last entry in the Current Toolbar Buttons list is selected.

Reset

The [Reset] button is used to reset the toolbar back to the default values. No confirmation is required.

OK

The [OK] button accepts and applies the changes to the toolbar and then closes the Main Toolbar Customization dialog.

Cancel

The [Cancel] button discards all changes made to the Main Toolbar back to the point of the last time the [Apply] button was used and then closes the Main Toolbar Customization dialog.

Apply

The [Apply] button accepts and applies all changes made to the Main Toolbar. The changes are immediately reflected in the Main Toolbar. The Main Toolbar Customization dialog remains open to allow further changes.

The following section defines how to add or edit toolbar buttons:

Add/Edit

The Button Customization dialog is used to add or edit toolbar buttons. The following controls are used:

Common Controls

These controls are shared between the various menu elements that are being added or edited:

Type

The Type control specifies the type of toolbar button being defined. Three types of toolbar buttons are supported.

Standard

Standard button commands are buttons that execute a single command. Commands can either be built-in Just Manager commands or can be custom user defined external commands.

Whole Drop down

Whole Drop Down buttons are buttons that contain a list of other commands.

Drop down

Drop Down buttons are a combination of standard buttons and a drop down list of commands. Pressing the main body of the button executes a single command (either built-in or custom external), while pressing the down arrow at the right side of the button will display a drop down list of commands.

Name

The Name control is used to specify the text that is displayed in the toolbar hint text.

OK

The [OK] button is used to accept the toolbar button definition and return control to the Toolbar Customization dialog. Note that changes to any and all toolbar button definitions will not become final until the [OK] or [Apply] button is pushed in that dialog.

Cancel

The [Cancel] button is used to discard all changes made to a toolbar button definition. Control is returned to the Toolbar Customization dialog.

Command Tab

The Command tab defines a standard or custom command that is executed when the toolbar button is pressed. The following controls are used to define the command.

Standard Commands

The Standard Commands are the Just Manager internal commands. For descriptions on the various commands see the section Just Manager Commands.

Note that when using standard commands that if no icon is defined then the default toolbar icon for that command will be used.

Custom Commands

Just Manager supports extending it's functionality through the use of custom commands. These commands are implemented through the use of user supplied applications and utilities

You can add file comparison tools, hex editors, or whatever other tools you like to use.

Custom Commands can also be used as a convenient launcher for your favorite applications such as browsers, email tools, etc.. For a list of commands to launch common Windows tools see the section Common Windows Tools Command Lines.

The following controls are used to define a custom command:

Command

The Command editbox is used to specify the name of the program or file to execute. Since the Windows Shell is used to execute the file it need not be an executable (.exe).

If you are running in a portable environment then the path to the command should be a relative path. See the section Portability Issues for more information.

Browse

The Browse button can be used to browse/search for the external command file. The standard Windows Open dialog is used to search.

Parameters

The Parameters editbox is used to specify any command line parameters that you wish to send to the external program. The parameters can contain the following macros (examples are based on the filename "C:\My Root\My Folder\My File.Filler.My Ext"):

%DRIVE%

The %DRIVE% macro specifies the drive letter (no colon or backslash).

Example: C

%PATH%

The %PATH% macro specifies the path portion of the file parameter. This includes the drive and colon and all path components up to (but not including) the last backslash character.

Example: C:\My Root\My Folder

%FILE%

The %FILE% macro specifies the filename portion of the file parameter. The parameter starts after the last backslash character up to but not including the last period character.

Example: My File.Filter

%EXT%

The %EXT% macro specifies the file extension which consists of all characters after the last period character.

Example: My Ext

%FULL%

The %FULL% macro specifies the complete file parameter enclosed in double quote characters.

Example: "My Root\My Folder\My File.Filler.My Ext"

%ALL%

The %ALL% macro is similar to the %FULL% macro except that instead of specifying just the focused file in the current tab of the active file panel, all selected files are passed. Each file is specified using it's complete path and is enclosed in double quote characters. Each file specification is separated by a space.

Path

The Path editbox is used to specify the starting directory/folder where the custom command will be executed from.

As with the command itself, use relative paths when running in a portable environment.

Run As

The Run As checkbox control is used to specify that the command should be run with administrator privileges. If unchecked then the program is run in normal user mode.

Mode

The Mode dropdown control is used to specify the display mode that the custom command will be launched in. This may be set to Normal, Minimized, or Maximized.

Note that some programs will override this setting.

Icon Tab

The Icon tab is used to select the icon image that will be used on the toolbar for the command being defined. The following controls are used:

Source

The Source editbox control is used to specify the source file containing the icon to be used for the toolbar button. The file may be of the following types:

.exe | Executable files
.dll | Dynamic link libraries
.ico | Icon files
.icl | Icon libraries

If a portable environment is being used then make sure the path of the file is portable (relative). See the section Portability Issues for more details.

Browse

The [...] browse button is used to search/browse for the source icon file. The standard Windows Open dialog is used.

Icon

The Icon control displays the icons available within the specified source file. Select the icon you wish to use for the toolbar button.

Drop-down menu Tab

The Drop-Down Menu tab is used to define the commands that will be listed in a drop down list when the toolbar button is pressed. The following controls are used to define the commands in the drop down menu.

Add

The [Add ] button will insert a new command before the currently selected toolbar item. Adding a drop won menu command uses the same mechanism as adding a toolbar button except that only standard commands may be added (not nestable). See the Add/Edit section above for details.

Edit

The [Edit] button will edit the currently selected drop down menu item. Editing a drop down menu command uses the same mechanism as editing a toolbar button except that only standard commands may be added (not nestable). See the Add/Edit section above for details.

Delete

The [Delete] button will remove the currently selected drop down menu command or separator from the drop down menu. No confirmation is requested by the command.

Separator

Separators are a special drop down menu item. They are used for aesthetic reasons to allow grouping of the commands in the drop down menu list. Separators are displayed as a horizontal bar.

Separators are not accessible by the user.

Multiple separators are supported.

The [Separator] button will insert a separator before the currently selected drop down menu item.

Move Up

The [Move Up] button will move the selected drop down menu item or separator in the list up one entry. This button is not available when the first entry in the list is selected.

Move Down

The [Move Down] button will move the selected drop down menu item or separator in the list down one entry. This button is not available when the last entry in the list is selected.

The following section describes drag and drop operations with the Main Toolbar.

Drag & Drop Operations

The Main Toolbar supports a single drag and drop operation. Custom commands may be added to the toolbar by dragging their executable file to the toolbar and dropping it on the location where you wish to add the command's button.

A Custom command button is created with the name of the file used as the command's name. The path of the file is automatically set as the starting path for the button.

Note that not only executables can be dragged and dropped. If the file is not an executable then the toolbar button will cause the associated file to be opened with it's default associated program. If a folder is dragged to the toolbar then the new toolbar becomes a shortcut to that folder. Pressing the button will cause the current tab of the active File Panel to switch to that folder.

The following section describes the context menu operation with the Main Toolbar.

Context Menu Operations

Context menu commands are available by right clicking on a Main Toolbar button or in the space to the right of the last toolbar button. The following commands are available from the context menu for the Main Toolbar.

Lock/Unlock toolbars

The Lock/Unlock Toolbars commands are used to lock and unlock the Main Menu Toolbar. The toolbar can only be moved when it is unlocked.

This command is only available when the context menu is activated from an empty part of the toolbar.

Customize...

The Customize command will display the toolbar customize dialog as described above.

Remove

The Remove command will delete the current toolbar button from the toolbar. No confirmation is requested.

This command is only available when the context menus is activated from one of the toolbar buttons.

Go to

The Go To command will switch the current active file panel to the directory containing the custom executable file of the current toolbar button.

This command is only available when the context menus is activated from one of the toolbar buttons that is defined as a custom command button.


Customizing Details View Fields

Just Manager supports customizing the information displayed in the Details View for File Panels, the Results in the Search Tool, and the folder/file list in the Multi Rename Tool. In order to customize the view, right click on any part of the header. A menu is displayed where you can select/unselect fields and select from several commands.

Modifying the details view only affects the active file panel unless the [ ] Synchronize setting is selected in the Configuration/Panels settings. The details view affects all tabs in the associated with the file panel.

Selecting Fields

A check mark appears next to fields that are current displayed. You can select and deselect fields by simply clicking on the field name in the menu.

Customize

The Customize menu entry allows selecting which fields are displayed and the order they appear in. The following controls are used:

Columns List

The Columns List displays the available fields, whether or not they are displayed, and the order in which they appear.

Use the checkboxes to control whether a field is displayed or not. The Name field cannot be hidden.

Move Up

The Move Up button will move the currently selected field up in the list (and display order).

Move Down

The Move Down button will move the currently selected field down in the list (and display order).

Show

The Show button will set the currently displayed item to be displayed. This is the same a checking the checkbox for that field.

Hide

The Show button will set the currently displayed item to be displayed. This is the same a checking the checkbox for that field.

Sort

The Sort menu entry allows setting the sort order for the field that was right clicked on. The sort order can be either ascending or descending.

Left clicking on the name field in the header will also toggle the sort order and set the display to use that field to control the overall order of the items displayed in file panel.

Align

The Align menu entry sets how the field that was right clicked on is aligned in the display. Options include: Left, Center, and Right.

Autosize

The Autosize menu entry is used to allow Just Manager to set the column widths in the details view. These commands will set the column sizes based on the current tab of the active file panel. Autosize is not a persistent feature. It will autosize the columns on command execution but will not continue to autosize the columns after that (ie. after changing drives or folders, etc.). The following options are available:

Size column to fit data

This option will size the current column (the one that was right clicked on) and set the width of the column to the maximum width of the particular field for all folders and files currently displayed in the current tab of the active file panel.

Size all columns to fit data

This option will size all columns and set the width of each column to the maximum width of each field for all folders and files currently displayed in the current tab of the active file panel.

Size column to fit header

This option will size the current column (the one that was right clicked on) and set the width of the column to the minimum width of the particular field name in the current tab of the active file panel.

Size all columns to fit header

This option will size all columns and set the width of each column to the minimum width of each field header name in the current tab of the active file panel.


Customizing Favorites

Customizing Favorites and System Folders

Folder Favorites

The Favorite Folders menu can be customized to support all the folders that you often access. The current folder displayed in the current tab of the active file panel can be added and the contents of the menu can be customized to support user defined names, changing of the order of the folders, and adding of separators. Clicking on the toolbar button displays a menu containg several commands and a list of your favorite folders. The following menu commands are available:

Add current folder

The Add Current Folder command will append the folder currently displayed in the current tab of the active file panel to the end of the Favorites list. The folder name (not the entire path) is used to set the name of the entry.

Customize

The Customize command is used to fully customize the Favorite button menu. The Folder Favorites Customization dialog is displayed. The following controls are used to customize the Favorites button menu:

Folder List

The Folder List control shows all the folders and separators that will be displayed in the Favorites menu in the order that they will be displayed.

Left click on an entry to select it before using the button controls. Only one entry can be selected at a time.

Favorite folders can use environment variables. The environment variables must be enclosed in '%' characters. As an examp[le, to enter the path of the "TEMP" variable you would enter "%TEMP%".

Add

The [Add] button is used to append a new folder to the Favorite Folders list. The Select Favorite Folder dialog is displayed. The path of the folder can be manually typed into the edit control or you can use the [...] browse button to browse for the folder you want to add.

The Name edit control is used to supply the name that will be displayed for the folder in the Favorites Folder button menu.

Edit

The [Edit] button is used to edit the selected entry. The same interface is used as in the [Add] button (above) except that the select entry is replaced instead of a new entry being appended to the list.

Double left clicking on an entry in the Favorite Folders list will also invoke this command.

Delete

The [Delete] button is used to remove the selected entry. No confirmation is requested.

Separator

The [Separator] button will append a menu separator to the end of the Favorites Folder list.

Move Up

The [Move Up] button is used to control the order of the Favorites Folder list. The selected entry is moved up by one entry.

Move Down

The [Move Up] button is used to control the order of the Favorites Folder list. The selected entry is moved up by one entry.

System Folders

The System Folders menu can be customized to support the system folders that you often access. The contents of the menu can be customized to support your preferemces for the folders available in the menu, changing of the order of the folders, and adding of separators. Clicking on the toolbar button displays a menu containg several commands and a list of your system folder preferencess. The System Folders customization dialog is displayed by selecting the Customize command from the System Folders menu.

The following controls are used to customize the System Folders button menu:

Folder List

The Folder List control shows all the folders and separators that will be displayed in the System Folders menu in the order that they will be displayed.

Left click on an entry to select it before using the button controls. Only one entry can be selected at a time.

Add

The [Add] button is used to append a new folder to the Favorite Folders list. A ldialog with a combox listing the available system folders is displayed. Select the system folder you wish to add.

Edit

The [Edit] button is used to edit the selected entry. The same interface is used as in the [Add] button (above) except that the select entry is replaced instead of a new entry being appended to the list.

Double left clicking on an entry in the System Folders list will also invoke this command.

Delete

The [Delete] button is used to remove the selected entry. No confirmation is requested.

Separator

The [Separator] button will append a menu separator to the end of the Favorites Folder list.

Move Up

The [Move Up] button is used to control the order of the Favorites Folder list. The selected entry is moved up by one entry.

Move Down

The [Move Up] button is used to control the order of the Favorites Folder list. The selected entry is moved up by one entry.

Reset

The [Reset] button will reset the System Folders menu back to the factory default settings.


Common Windows Tools Command Lines

The following table shows the command lines used to execute some common Windows functions. Note that all of these commands are defined within the path environment so there is no need to supply a path for the commands.

Function | Command Line
Logoff | shutdown.exe -L
Hibernate | rundll32.exe powrprof.dll,SetSuspendState 0,1,0
Restart | shutdown.exe -r -t 00 -f
Shutdown | shutdown.exe -s -t 00 -f
Control Panel | control.exe
Add/Remove Programs | control,exe appwiz.cpl
Admin Tools | control.exe admintools
Backup and Restore | control.exe /name Microsoft.BackupAndRestore
Default Programs | control.exe /name Microsoft.DefaultPrograms
Device Manager | devmgmt.msc
Gadgets | control.exe /name Microsoft.DesktopGadgets
Display Properties | control.exe desktop
Printers and Faxes | control.exe printers
Scheduled Tasks | control.exe schedtasks
System | control.exe sysdm.cpl
Users | control.exe userpasswords
Print Text File | notepad /p "%FULL%"


Command Line Parameters

Just Manager accepts up to 16 command line parameters. The command line parameters are the folder paths to initially display in each of the file panels. Each path is assigned to file panels starting with the top left file panel and continuing in order.

In the event more paths are passed to Just Manager than the number of file panels that are currently displayed then the additional paths are ignored.

Note that paths containing spaces must be enclosed in double quote characters. Invalid paths are also ignored.


Uninstalling Just Manager

Uninstalling From Standard Installation

Just Manager provides a standard Uninstall program for uninstalling the software. You can either run the "Uninstall.exe" program from the Just Manager folder or you can use the Uninstall facility built into Windows.

Uninstalling From Portable Setup

The portable version of Just Manager requires no uninstallation. You can simply delete the Just Manager folder and all of its contents.


Potability Issues

Portability Issues

Differences

There are no actual program differences between the standard and portable versions of Just Manager. The program does behave slightly differently. The differences are:

  • In the standard version the registry is used to store uninstall information. The registry is not used in a portable installation.
  • The program settings are stored in the Users folders in the standard installation (ie. \Users\<username>\AppData\Local\JustManager.Settings.xml in Windows 7) while it is stored in Settings.xml in the Just Manager folder in the portable installation.

Just Manager also fully supports folder relative paths. Drive relative paths (as described above) work perfectly well, but you can also employ folder relative paths. Folder relative paths are relative to the JustManager home folder. Here are a couple of examples:

Folders structure:
C:\Program Files\Just Manager | ; Just Manager home folder
C:\Program Files\Just Manager\My Tool | ; Path for my tool
MyTool.exe | ; Program name for my tool
C:\Program Files\My App | ; Path for my application
MyApp.exe | ; Program name for my application

Acceptable paths:

C:\Program Files\Just Manager\My Tool\MyTool.exe
\Program Files\Just Manager\My Tool\MyTool.exe
My Tool\MyTool.exe

C:\Program Files\My App\MyApp.exe
\Program Files\My App\MyApp.exe
..\My App\MyApp.exe

Note: When using a folder relative path that you must NOT start the path with a "\" character as that would be using a drive relative path.

Dependencies

Just Manager depends on only one library package. That package is the Microsoft XML support library (MSXML) which has been included as part of the standard Windows distribution since Windows XP SP 2.

Keeping a Portable Environment

In order to keep Just Manager portable there is currently only one consideration. If you use user defined viewers and editors you will need to make sure they are maintained in a portable method. For the most part this entails that you make sure the viewers and editors are on the same drive as Just Manager and that you change the path to these programs to remove the drive references (Just Manager will accept relative paths), As an example if you have a graphics editor "MyImageEditor.exe" located on the same drive then you would make the following change:

C:\Programs\MyImageEditor\MyImageEditor.exe

would become:

\Programs\MyImageEditor\MyImageEditor.exe


Known Problems & Planned Enhancements

Known Problems

  • FTP client still limited

Planned Enhancements

  • Open archives inside of Just Manager (treat them like folders)
  • Enhance Copy and Move commands (allow transfers to any folder)


Logging and Debugging

Logging Feature

Just Manager contains a logging feature for helping in debugging problems that may occur in the code. The logging feature is very efficient and can be left on at all times as it has very little impact on the programs performance.

Enabling Logging

Logging is enabled by accessing Configuration/Settings from the Main Menu and then adjusting the Log Level in the General settings. It is recommended that you set the level to Full.

Log Location

The log location will depend on how you installed Just Manager (Normal or Portable) and on the version of Windows that you are running.

Portable Installation

If you are running a portable installation then the log will be located in the main Just Manager folder.

Normal Installation

Under a normal installation the location of the log file will depend on the version of Windows that you are running. The easiest way to locate the log is to use Just Manager itself:
  1. Double click on the Path Panel above any of the File Panels. This will enter path edit mode.
  2. Enter "%LOCALAPPDATA%\JustManager" (without the double quotes) and then press [Enter]. You will switch to the Just Manager data folder.
The log file is named "Log.txt".

Bug Reporting

If you are reporting a bug by email then please include the log file as an attachment, If you are reporting the bug via the forum then please copy the log to a separate folder (so it does not get overwritten) and save it in the event the author requests that you send it to him. Please see the section Contact Information for the email address and the forum URL.


Translating Just Manager

Just Manager is UNICODE compliant. It will work in Windows environments with UNICODE filenames.

Just Manager supports a multi-language interface and can be translated into other languages. If you would like to translate Just Manager you will need to create a language file for the target language in the Languages folder inside the main Just Manager folder.

The language file is in XML format and should be a UNICODE compatible file using UTF-8 formatting.

If you would like to have your translation included in the Just Manager distribution (or made available for download on the Just Manager website) then please contact the author after you have fully tested the translation.

If you are interested in also translating this help file then you should also contact the author.

Currently Supported Languages

Language | Program | Help File
Arabic | Yes | No
Chinese Simplified | Yes | No
Czech | Yes | No
Dutch | Yes | No
English | Yes | Yes
French | Yes | Yes
German | Yes | Yes
Greek | Yes | No
Hungarian | Yes | No
Italian | Yes | Yes
Korean | Yes | No
Polish | Yes | No
Portuguese | Yes | No
Spanish | Yes | NoC
Russian | Yes | No
Ukrainian | Yes | No


Contact Information

Just Manager Home Page

The Just Manager home page is located at http://justmanager.ru

Just Manager Download Page

The Just Manager download page is located at http://justmanager.ru/downloads

You can download the latest 32 and 64 bit versions in either Windows Installer executable or Zip portable formats. You can also download the help files in supported languages.

Support and Email

If you have any comments, questions, or suggestions, then please feel free to contact the author by posting to http://justmanager.blogspot.com/p/feedback.html or by sending email to support_justmanager@hotmail.com.

Forum

You can access the Just Manager support forum from http://justmanager.ru/forum

Before reporting a bug, please check the Known Problems and Planned Enhancements section, check the website to make sure you are running the most recent version.

When contacting support please use the following subject lines/links:

Just Manager: Comment
Just Manager: Bug
Just Manager: Suggestion
Just Manager: Question

When reporting a bug please include the version number that you are running, the operating system that you are running (and the service pack level) and whether you are running the 32 bit or 64 bit version.


License

Just Manager is (c) copyright 2008-2013 by Nikita Leontiev. The program is the sole property of the authors.

You are granted a license to use the software free of charge provided that you accept full responsibility for it's use. The software is provided "as-is" without any expressed or implied warranty. The authors are not liable for any damages or data loss to your computer or any other computers that you connect to using the software in any way including, but not limited to, any defects in the software, known or not.

By installing the software on your computer and using it you are acknowledging this license agreement.

You may distribute Just Manager provided:
  • The software may only be distributed unmodified in it's original installation program format.
  • You may not charge for the software.
  • If the software is available as a download it must be available for download free of charge. Premium account or membership charges are allowed provided they are not a requirement to download the software.
  • If the software is available on recorded media you only charge for the cost for materials, shipping costs, and a nominal processing fee.
  • You may not distribute the software as part of any commercial software product.
  • Distribution of stand-alone copies of Settings.xml files (for pre-configured configurations, examples, etc) is allowed provided then are distributed free of charge.


Version History

The following table shows the history of released versions. Each entry contains the version number, the release date, and a brief description of changes:

Version Release Date Description of Changes
0.1 Alpha 52 Dec 22, 2013
  1. Folder can't be open if it's called like environment variable - fixed.
  2. Tabs don't respect name when "Check all paths on startup" option enabled - fixed.
  3. Main toolbar custom buttons icon sometimes not loaded on startup - fixed.
  4. FTP operation progress bugs fixed.
  5. Calling context menu from panel blank space cause crash when NC style and RMB selection enabled - fixed.
  6. Fixed crash when drag-and-dropping item to menu header in Main Menu settings page.
  7. Locked (nav allowed) path not returned when current path becomes not valid - fixed.
0.1 Alpha 51 Oct 4, 2013
  1. Transparent selection incorrectly applies for even rows - fixed.
  2. Data checkbox text is cut off in File Search dialog - fixed.
  3. "Go to" command doesn't work for custom buttons if path is relative - fixed.
  4. Now button customization dialog opens from main toolbar button context menu.
  5. Problem with deleting already deleted folder - fixed.
  6. Crash on copy/move when an odd number of panels displayed - fixed.
  7. Wrong tray icon problem fixed.
  8. Rename function on panels cross clicking in NC selection - fixed.
  9. Crash on FTP disconnect from Navigation panel - fixed.
  10. Middle mouse button click on drive now opens drive path in new tab.
  11. Clicking on ".." item in locked tab cause parent path open in new tab.
  12. Incorrect tab selection on tab drag-and-drop - fixed.
  13. CPU usage reduced.
  14. Fixed error when executing custom command with relative command path and empty path.
  15. Sometimes thumbnails are displayed in wrong size - fixed.
0.1 Alpha 50 Jul 21, 2013
  1. Application hangs when closing Quick Search dialog - fixed.
  2. Move operation isn't used by default when drag-and-drop file on same disk - fixed.
  3. Rename functionality on double-click in NC style - fixed.
  4. Inverting selection with Ctrl in NC style added.
  5. Quick Viewer automatic image resize implemented.
  6. Asynchronous CFSTR_FILEDESCRIPTOR support added for drag-and-drop.
  7. "Not selected" message removed when right click on ".." item.
  8. In Ctrl+Alt_Letter quick search mode pressed letter not added to editbox - fixed.
  9. Nav panel doesn't save state when using "Show/hide nav panel" command - fixed.
  10. Transparent selection option added for panels.
  11. "Go to next item when using SelectItem command" option added.
0.1 Alpha 49 Jul 1, 2013
  1. Problem with renaming to same name with changed letter case - fixed.
  2. Incorrect selection with Ctrl in NC style - fixed.
  3. Drag-and-drop to tabs implemented.
  4. System folders customization improved.
  5. Some memory leaks fixed.
  6. Navigation panel doesn't reflect language change - fixed.
  7. Drag-and-drop for 7-zip support added.
  8. Folder view profiles implemented.
  9. Rename functionality on double-click in NC style - fixed.
  10. Fixed incorrect commands parsing.
  11. Custom commands path field now supports %PATH% param.
0.1 Alpha 48 May 24, 2013
  1. FTP log and multiple sessions problem fixed.
  2. Thumbnails functionality implemented.
  3. Crash on switching "locked navigation allowed" tabs - fixed.
  4. Environment variables now recognized when they are part of the path.
  5. Change attributes/timestamp dialog doesn't work for focused items - fixed.
  6. Incorrect selection with Shift in NC selection mode - fixed.
  7. Enter key now close Quick search editbox and opens selected folder in panel.
  8. Some drawing improvements added.
  9. Incorrect disk size bar displayed on startup before folder opened - fixed.
  10. Selection with Shift+Up/Down key now works in NC style.
0.1 Alpha 47 May 17, 2013
  1. Some symbolic links are resolved incorrectly - fixed.
  2. USB drive can't be safely removed - fixed.
  3. Files with non-English letters in name can't be copied from/to FTP - fixed.
  4. FTP file operations progress implemented.
  5. Browse buttons added to Startup folders page.
  6. Ignore list support added to folder update engine.
  7. Ignore list settings page redesigned.
  8. Context menu command added.
  9. Rename item in context menu doesn't work when menu called from the keyboard - fixed.
  10. NC style selection: context menu now opens for focused item when no items selected.
  11. NC style selection: context menu now opens with delayed right mouse button.
  12. FTP connections export/import added.
  13. Relative paths now supported in Copy/Move confirmation dialog.
  14. System folders list now can be customized.
  15. Now file renaming not using shell when "Use shell" checkbox unchecked.
0.1 Alpha 46 May 8, 2013
  1. Implemented drag-and-drop to system folders.
  2. Cut to clipboard items now displayed with greyed icons.
  3. Multiplying code pages in FTP connection settings dialog - fixed.
  4. Unnecessary FTP reconnection removed.
  5. FTP path doesn't include starting / - fixed.
  6. Incorrect resource selection on resources toolbar - fixed.
  7. Crash when adding new tab with FTP tab selected - fixed.
  8. Ignore list implemented.
  9. Date format combobox auto-scroll added.
  10. "Startup folders" option added.
0.1 Alpha 45 Apr. 26, 2013
  1. "The specified path is invalid" error when moving folders - fixed.
  2. Open path edit command in path panel contextual menu doesn't work - fixed.
  3. FTP error handling improved.
  4. Copy/move file to FTP operation now checks file for existence.
  5. After FTP disconnection panel displays default path - fixed.
  6. FTP reconnection process uses currently selected panel - fixed.
  7. Now selected tab used as source for new tab.
  8. Drag-and-drop to ".." element not allowed in non-Details view - fixed.
  9. Mount points handling changed.
  10. File operation progress now changes color if operation paused.
  11. Main toolbar doesn't display icons for exe files without icon - fixed.
  12. Auto-rename function improved.
  13. Problem with some controls drawing when visual styles disabled - fixed.
  14. FTP disconnect button changed.
  15. File filter dialog now supports adding extensions separated by "," and ";".
  16. Resources toolbar collapsed buttons don't work - fixed.
  17. Graphics disk usage is incorrect when there is no free space - fixed.
  18. Disk update received by first panel with the same disk - fixed.
  19. FTP log splitter added.
  20. Equal paths confirmation added.
  21. Now FTP client sends CLNT command.
  22. FTP connection now supports code page selection.
  23. Drag-and-drop to network folder doesn't work - fixed.
  24. "Open FTP manager at unsuccessful connection" option added.
  25. Icon search mode selection implemented.
0.1 Alpha 44 Apr. 19, 2013
  1. Incorrect color update for disk size bar - fixed.
  2. FTP disconnect button/command added to FTP log window/menu.
  3. Sometimes disk size is not updated - fixed.
  4. GUI hangs on internal delete operation - fixed.
  5. Overwrite confirmation layout problem - fixed.
  6. Pause and stop commands added to file operations toolbar items.
  7. Explorer style option can be checked when NC selection option enabled - fixed.
  8. "Remove selection on click" option added.
  9. Rename on second click now works for NC style selection.
  10. "Show extension when name is empty" option added.
  11. Custom selected icon index lost in button customization dialog - fixed.
  12. "Paths are equal" now displayed when cop/move to same directory.
  13. Crash on non English letters input in command line - fixed.
  14. File properties dialog now opens on Alt+double click in panel.
  15. Drag-and-drop support added to settings lists.
  16. Delete confirmation displays "To Recycle Bin" checkbox on network paths - fixed.
  17. FTP file view/edit implemented.
  18. Horizontal auto-scroll now works in all comboboxes.
  19. Problem with disk selection when drive letter is in lower case - fixed.
  20. Crash on copy to invalid paths - fixed.
  21. Progress bars shift in file operation toolbar - fixed.
0.1 Alpha 43 Apr. 12, 2013
  1. "Local drives" option added to file search path menu.
  2. File operation progress now displays in taskbar.
  3. Fixed FTP connection problem when network disconnected.
  4. Folder monitor crash fixed.
  5. Rename command visible in file search dialog contextual menu - fixed.
  6. Path can't be editable on mouse click - fixed.
  7. Fixed problem with overwriting system/hidden/read-only files.
  8. Crash when copying files with 0 size - fixed.
  9. "Open new file in editor" option added.
  10. Focus not moving on right button selection - fixed.
  11. File overwrite confirmation now supports rename and auto-rename functions.
  12. Fixed FTP incorrect work with remote directory.
  13. Copy FTP log to clipboard function added.
  14. File operations toolbar introduced.
  15. Crash on file copy/move when another process uses this file.
0.1 Alpha 42 Apr. 5, 2013
  1. Incorrect selection in panel view menu - fixed.
  2. ".." item can be selected for file operations - fixed.
  3. Read-only file can't be deleted from disk - fixed.
  4. Double-click in Main toolbar customization now opens edit dialog.
  5. Folder favorites customization dialog now displays icons.
  6. %ALL% option doesn't work - fixed.
  7. "Check all paths on startup" option added.
  8. Additional folder update monitor added.
  9. FTP log implemented.
  10. Now Space key performs Go To command in file search dialog.
0.1 Alpha 41 Mar. 29, 2013
  1. File search template name resets on saving - fixed.
  2. Not older value is 1 by default now and range increased.
  3. Spanish localization added.
  4. Incorrect copy progress - fixed.
  5. Multi-rename tool now used on Alt+R/F2 when more than one element selected.
  6. Panel now become active on path panel click.
  7. "Show/hide navigation panel" command introduced.
  8. Favorite/system folders menus now display icons.
  9. Navigation panel and favorite/system folders menu can display real folder icons.
  10. Viewer/editor relative path problem fixed.
  11. Arabic localization added.
  12. Middle button click in panel now opens item in new tab.
  13. Miscelaneous help file corrections
0.1 Alpha 40 Mar. 22, 2013
  1. Scroll under cursor feature added for panels.
  2. Operations window restore problem during session - fixed.
  3. Right button selection doesn't work for up to down direction - fixed.
  4. Panel view menu item not selected after startup - fixed.
  5. Text replace doesn't work in Multi-Rename dialog - fixed.
  6. New copy/move/delete confirmation dialogs.
  7. Copy/move dialog now supports path changing.
  8. Delete confirmation dialog now supports "To Recycle Bin" option switching.
  9. Corrupted file during CFSTR_FILEDESCRIPTOR drag-and-drop - fixed.
  10. Selection by Ins key now supported in Explorer style selection type.
  11. "Program Files (x86)" item displays in system folders on 32 bit OS - fixed.
  12. File filter now supports NotOlder option.
0.1 Alpha 39 Mar. 15, 2013
  1. Minimize/maximize enabled for file operations window.
  2. Restore tab functionality added.
  3. Layout problem when minimizing to tray - fixed.
  4. Incorrect separator icon in Main Toolbar Customization dialog - fixed.
  5. Navigation panel groups collapse/expand option resets when changing panels layout - fixed.
  6. Contextual menus open in wrong place - fixed.
  7. Navigation panel drag-and-drop now supports file operations.
  8. Fixed "already exists" problem when copying directories.
  9. Multiple selection with right button implemented for NC selection type.
  10. InfoBar flickers - fixed.
  11. CFSTR_FILEDESCRIPTOR support added for drag-and-drop.
  12. Fixed drag-and-drop not allowed problem when there is no blank space in panel.
  13. Separate option added for right mouse button selection.
  14. Explorer style switching problem when enabling/disabling NC selection - fixed.
  15. "Ctrl+Num -" hotkey added for Unselect All command.
0.1 Alpha 38 Mar. 11, 2013
  1. Memory usage reduced and some memory leaks fixed.
  2. "Find" command from shell context menu now opens JM's search dialog.
  3. Quick viewer stealing focus - fixed.
  4. Incorrect sort arrow used after listview column drag operation - fixed.
  5. In some cases wrong theme used for resources toolbar - fixed.
  6. NC style selection implemented.
  7. Not started file operation can't be canceled - fixed.
  8. Parallel file operations option added.
  9. Pause functionality added for file operations.
  10. Quick search filter length limit too small - fixed.
0.1 Alpha 37 Feb. 24, 2013
  1. CMD folder opens instead of cmd - fixed.
  2. FTP UTF-8 support added.
  3. Fixed application crash on file view/edit.
  4. Environment variables resolving implemented.
  5. Path panel not displayed problem fixed.
  6. "Open path edit" item added to path panel menu.
0.1 Alpha 36 Feb. 15, 2013
  1. New folder command from context menu now displays JM's dialog.
  2. Delete operation can't be canceled - fixed.
  3. Delete progress fixed.
  4. Ukrainian translation added.
  5. Paste option missing in folder context menu - fixed.
  6. Junction points resolving problem fixed.
0.1 Alpha 35 Feb. 8, 2013
  1. Path links incorrect resolving fixed.
  2. Command line arguments transfer between Just Manager instances implemented.
  3. Directory can't be created on paths with 248-260 symbols - fixed.
  4. Polish localization added.
  5. Focus loose problem after copy/move/delete operations - fixed.
  6. Fixed JM crash when adding vertical bar char in Find What field in Multi-rename dialog.
0.1 Alpha 34 Feb. 1, 2013
  1. FTP navigation problem fixed.
  2. Copy/move operation cannot be canceled - fixed.
  3. Copy folder to it's subfolder problem fixed.
  4. Enter doesn't work when "One click activate" option enabled.
  5. Now folder opens in new tab when panel is locked.
0.1 Alpha 33 Jan. 25, 2013
  1. "Show/hide hidden files" command changes current path - fixed.
  2. Now "Swap panels" command not used for locked tabs.
  3. Portuguese localization added.
  4. System error problem fixed.
  5. Notify message now displays when help file missing.
  6. Shell context menu support added for navigation panel.
  7. Panel auto-scroll for drag&drop functionality improved.
  8. Network items sorting doesn't work - fixed.
  9. "Customize..." item added to Favorites group menu in navigation panel.
  10. "Yes/No to all" options added for delete subfolders confirmation.
  11. "Open selection in new tab" command implemented.
0.1 Alpha 32 Jan. 18, 2013
  1. Exit menu now closes JM when "Close to tray" option enabled.
  2. "Reset Locked (nav allowed) tabs on selection change" option added.
  3. Fixed problem with restoring from tray when "One instance" option used.
  4. Folder drag&drop to itself problem fixed.
  5. Swap panels command added.
  6. Long paths support improved.
0.1 Alpha 31 Jan. 11, 2013
  1. Filter on network paths crashes application - fixed.
  2. Renaming doesn't distinguish between upper and lower case - fixed.
  3. F2 shortcut added for renaming.
  4. Bug in name on folder creation - fixed.
  5. Phantom items on samba shares problem fixed.
  6. Korean localization added.
0.1 Alpha 31 Dec. 29, 2012
  1. Now folders can be drag&dropped on main toolbar.
  2. Disk size is not updated - fixed.
  3. "Show navigation progress" option implemented.
  4. File items can't be used on network folders - fixed.
  5. Access dialog now displayed when trying to open network items.
  6. Czech localization added.
  7. Greek localization added.
  8. Version history log included.
0.1 Alpha 29 Dec. 23, 2012
  1. Command line drag&drop improved.
  2. History doesn't work for Locked (navigation allowed) tabs - fixed.
  3. File copy progress resets on each file - fixed.
  4. Italian localization added.
  5. Ctrl+* hotkey added for reset quick viewer zoom function.
  6. "Go to command line" command added.
  7. Icon added for "Copy selected names to command line" command.
  8. "Copy selected paths to command line" command added.
  9. If selected items is not folder, "Open in nearest panel" command will use current path.
  10. "Hide folder in type column" option added.
0.1 Alpha 28 Dec. 21, 2012
  1. Quick Viewer zoom support added.
  2. Word wrap option implemented for Quick Viewer.
  3. Move operation cannot be canceled - fixed.
  4. Main menu bar displays wrong icons - fixed.
  5. Font files cannot be opened from panel - fixed.
  6. Command line drag&drop supported implemented.
  7. French localization added.
  8. Splitter menu added.
  9. Restore from tray problem fixed.
  10. Now edit dialog opens after ColorFileFilter/ViewEditFilter clone.
  11. Fixed drive buttons incorrect update after USB player, flash, e.t.c removed.
  12. "Insert selection into command line" command added.
  13. FTP connection reset detection improved.
  14. Some internal file operations changes done.
0.1 Alpha 27 Dec. 14, 2012
  1. Move file between drives problem fixed.
  2. Directory updates not received for network paths - fixed.
  3. Toolbars buttons size problem after font changing - fixed.
  4. Background color option added for function keys toolbar.
  5. Function key buttons icon and text now centered.
  6. Navigation toolbar redraw problem fixed.
  7. Clone option added to color file filters settings page.
  8. Fonts/colors and color file filter settings now on separate tabs.
  9. Clone option added to view/edit settings page.
  10. "Close unlocked tabs on exit" option introduced.
  11. More correct way to detect default Viewer/Editor path implemented.
  12. Tray icon context menu added.
  13. Problem with delete to Recycle Bin confirmation - fixed.
  14. Chinese Simplified translation included.
  15. "Go to command line by letter key" option added.
0.1 Alpha 26 Dec. 7, 2012
  1. Navigation settings page added (open root folder, symlinks and history length now here).
  2. New options for "Open in nearest panel" functionality: open in new tab and move focus.
  3. Minimize to tray functionality introduced.
  4. Close to tray option added.
  5. Tab functionality problem when quick viewer enabled - fixed.
  6. Disk selection using middle mouse button added.
  7. Enter, Alt+Enter, Ctrl+Enter hotkeys cannot be set in settings - fixed.
  8. Max file size option for quick viewer added.
  9. System icon not displayed in Control panel menu - fixed.
  10. "Search for exact match" option added to file search functionality.
  11. Quick search doesn't work for numpad keys - fixed.
  12. "Show/hide hidden files" command added.
  13. Navigation panel color/font settings introduced.
  14. Panels layout command added.
  15. Icon loading memory leak fixed.
  16. Better icon support for main toolbar drag&drop functionality.
0.1 Alpha 25 Dec. 2, 2012
  1. Internal copy/move support for drag&drop and clipboard operations added.
  2. Fixed crash on environment importing.
  3. Directory size not updated in info bar after calculation - fixed.
  4. Fixed file icons problem when drag&drop on main toolbar.
  5. Some relative path problems fixed for Button/Menu customization dialogs.
  6. Automatic AutoSize panels option added.
  7. Hungarian localization added.
  8. Main menu cannot be accessed by Alt key - fixed.
  9. Alt+Up hotkey added for "open path edit" functionality.
  10. Ctrl+Left/Right hotkeys added for "open selection in nearest panel" functionality.
0.1 Alpha 24 Nov. 30, 2012
  1. Shifted/blank items problem - fixed.
  2. Problem with directory deletion if subdir opened in JM - fixed.
  3. New file operations progress window.
  4. Multi-pattern support added for file search functionality.
  5. Second disk click now opens last directory if "Open root folder..." open turned off.
  6. Path now added to custom command when drag&drop items on main toolbar.
  7. Tab drawing functionality improved.
  8. Icon for *.ico files not displayed - fixed.
  9. Incorrect disk selection when new disk appears on resources toolbar - fixed.
  10. Now correct disk name and icon displayed when inserting CD/DVD.
  11. Fixed locked tab problem when folder was deleted.
  12. Natural sorting support added.
  13. Now not only applications can be drag&dropped on main toolbar.
  14. Splitter bounds added.
  15. Some splitter calculation bugs fixed.
  16. Fixed quick search problem with some keys.
  17. Show size units option introduced.
  18. Disk size bat text not fully visible after font changing - fixed.
0.1 Alpha 23 Nov. 23, 2012
  1. Internal file copy/move functionality improved.
  2. Drag&drop functionality implemented for main toolbar buttons.
  3. Crash when accessing audio CD - fixed.
  4. Non-32bit icons display problem fixed.
  5. Context menu for main toolbar buttons added.
0.1 Alpha 22 Nov. 16, 2012
  1. Some problems with FTP directory listing fixed.
  2. Incompatibility between "Use system color for tabs" and "Show lock icons" - fixed.
  3. Incorrect directory used on file activation in panel - fixed.
  4. Changed incorrect standard name for create file command.
  5. Crash when using Control Panel command - fixed.
  6. Blank names for standard commands in custom drop-down menus - fixed.
  7. Control panel "unknown" item problem fixed.
  8. Ctrl+Ins hotkey added for "Copy file names to clipboard" command.
  9. Shift+Alt+Ins hotkey added for "Copy paths to clipboard" command.
  10. Icons support for drop-down list customization dialog added.
  11. German localization added.
  12. Carriage return problem in "Copy file names/paths to clipboard" command fixed.
  13. Some logging problems fixed.
  14. Blank items (redrawing problem in panel) - fixed.
  15. Forms prefill functionality implemented for Button/Menu customization dialogs.
  16. Viewers/editors list update problem after changing Viewer/Editor path - fixed.
0.1 Alpha 21 Nov. 10, 2012
  1. Custom drop-down menus support implemented for main toolbar buttons.
  2. Slow one click activate functionality - fixed.
  3. Better separators view in Folder Favorites dialog.
  4. Double-click on panel's empty space starts Go Up command now.
  5. Dutch localization added.
  6. Image list disappears in Icon Selection dialog - fixed.
  7. New "Show tab lock icons" option intro
  8. New "Lock tab symbol" option for tabs added.
0.1 Alpha 20 Nov. 2, 2012
  1. GUI hangs on big files drag&drop/paste from clipboard - fixed.
  2. Incorrect cursor when drag&drop file to same disk - fixed.
  3. Incorrect selection when renaming folder - fixed.
  4. Pressing the disk button that already selected causes Go Root command.
  5. File properties dialog now opens under cursor.
  6. New "Show in one line" option for disk size bar.
  7. Properties item doesn't work in folder context menu - fixed.
  8. Properties tree sub-levels translation problem - fixed.
  9. Copy file names to clipboard command added.
  10. Copy paths to clipboard command added.
  11. Extension in directory name on F7 - fixed.
  12. Slash in path now converts to backslash.
  13. Panel layout settings moved to View settings page.
  14. Delete key support added for FTP connections list.
  15. Crash when changing menu and hotkey settings at one time - fixed.
  16. Now button type can be customized.
  17. Icon customization for menu items introduced.
  18. Menu item/button customization dialogs changed.
0.1 Alpha 19 Oct. 26, 2012
  1. Control Panel menu added.
  2. Advanced commands added to folder context menu.
  3. More correct why to identify system UI language introduced.
  4. Sometimes after filter all items become selected - fixed.
  5. Lock tab icons now smaller.
  6. Now panel becomes active on tab creation, when tab removed or selected tab changed.
  7. Tab lock now resets when tab path no longer valid.
  8. New Favorites button for each panel.
  9. All items become selected problem fixed.
  10. Now default drag&drop to same disk -> move, different -> copy.
  11. Right button drag&drop context menu added.
  12. "Locked navigation allowed" tabs now reset when tab selection changes.
  13. Hide file extensions option introduced.
  14. Now only file name selected in rename editbox.
  15. "Open With" dialog support included.
  16. New Display settings page introduced.
  17. "Always on top" settings now on General settings page.
0.1 Apha 18 Oct. 12, 2012
  1. One click activate option added for panels.
  2. Rename file to same or blank name problem fixed.
  3. Some file search problems fixed.
  4. Del button support for menu and hokeys settings.
  5. "NewFile.txt" now appears in file create dialog when ".." focused in panel.
  6. Wrong selection after sorting/filter - fixed.
0.1 Alpha 17 Oct. 5, 2012
  1. Theme support added: import/export.
  2. Wrong multiple items selection - fixed.
  3. Multiple CD-ROM drive buttons problem fixed.
  4. Min/max width options added for tabs.
  5. When One Instance option enabled application bring to front failed - fixed.
  6. Switching tabs on Shift+Ctrl+Tab functionality added.
  7. Network item cannot be navigated from history - fixed.
  8. Crash on exit when Import Settings command was used - fixed.
  9. Command line opens cmd window for cmd command - fixed.
  10. Color dialog opens after font dialog in Fonts/Colors properties - fixed.
  11. Reset command added to Fonts/Colors properties page.
  12. Program crashes on briefcase object creation - fixed.
  13. Crash on Ctrl+V if invalid path - fixed.
  14. Selection disappears when there is only ".." item in folder - fixed.
0.1 Alpha 16 Sep. 28, 2012
  1. Switching tabs on Ctrl+Tab functionality added.
  2. Ctrl+Home shortcut for Go to the Root command added.
  3. About dialog refactoring.
  4. Problem with many disks A after Windows sleep mode - fixed.
  5. Verification for blanks in command line string added.
  6. Wrong folder size calculation icon - fixed.
  7. Now 0 bytes displayed for folders after size calculation.
  8. Create file function now uses selected item name as default file name.
  9. Backslash in paths problem fixed.
  10. English localization not loading problem fixed.
  11. Show hidden/system files options added.
  12. Items selection resets after refresh - fixed.
  13. Quick preview (Ctrl+Q) implemented.
  14. Wrong item selection after folder explore - fixed.
0.1 Alpha 15 Aug. 21, 2012
  1. File search results saving to file functionality improved.
  2. Now tab name can be removed.
  3. Ctrl-V file replacement confirmation fixed.
  4. Paste from zip problem fixed.
  5. Path panel doesn't accept long paths problem fixed.
  6. File properties command added.
  7. Incorrect TEMP system folder path problem fixed.
  8. File search dialog now uses correct path on restore.
  9. Folder compare functionality introduced.
  10. Drag&drop to quick launch problem fixed.
  11. USB flash drive blocking problem fixed.
  12. Now file copy creates on copy/paste operation in the same directory.
  13. Filter reset functionality added to GoUp command.
  14. Invert selection command added.
  15. Auto-size columns to panel width option introduced.
0.1 Alpha 14 Jun. 18, 2012
  1. Incorrect quick-search filter behaviour fixed.
  2. Command line parameters functionality now works more correct.
  3. Reset command added to color file filters settings.
  4. File search dialog supports search list export to csv file.
  5. Reset command added to view/edit settings.
  6. "Lock tab with navigation allowed" functionality introduced.
  7. Columns order not saved on exit problem fixed.
  8. "Starts with filter" option added to Quick Search.
  9. Columns resizing problem fixed.
  10. Close button added to Search dialog.
  11. Help buttons integration.
  12. Close button added to Multi-Rename dialog.
0.1 Alpha 13 May 31, 2012
  1. Fixed incorrect contextual menu for drive buttons.
  2. Panel auto-scroll during drag-and-drop fixed.
  3. Icons appearance problem fixed.
  4. Arrow navigation in quick search editbox restored.
  5. FTP username and password verification added.
  6. Multiple files attributes now merge in AttributesTimestamp dialog.
  7. IconPack.dll not found problem fixed.
  8. Filter reset by Esc bug fixed.
  9. New file opens with viewer bug fixed.
  10. Quick search type switcher in quick search dialog now changes behavior immediately.
  11. Program is DPI aware now.
  12. Application size adaptation based on screen resolution added.
  13. Command line arguments support included.
  14. Attempt to access Floppy/CD-ROM on startup problem fixed.
  15. Reset command added to main menu settings.
  16. Default hotkeys settings restore on startup fixed.
  17. Reset command added to hotkeys settings
  18. OK, Cancel, Error, Warning texts now included in dictionaries.
  19. Resources list now has context menu.
  20. Incorrect file startup directory fixed.
  21. FTP connection keep-alive ping added.
  22. FTP errors handling added.
  23. Unsupported for FTP message added.
  24. FTP change directory sometimes doesn't work issue fixed.
  25. Resources list now opens when user clicks GoUp in root folder.
  26. FTP port now allows 5 digits.
  27. Reconnection on disconnection added.
  28. Sorting now allowed in file search dialog.

Previous Button